com.smartgwt.client.util

## Class ConvertTo

- java.lang.Object
- - com.smartgwt.client.util.ConvertTo

-     public final class ConvertTo
      extends java.lang.Object

  This object contains all of the methods for converting from a JavaScriptObject to an array of specific SmartGWT class types.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ActiveXControl[]` | `arrayOfActiveXControl(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ActiveXControl` objects.
    `static AdvancedCriteria[]` | `arrayOfAdvancedCriteria(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AdvancedCriteria` objects.
    `static AdvancedHiliteEditor[]` | `arrayOfAdvancedHiliteEditor(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AdvancedHiliteEditor` objects.
    `static Alignment[]` | `arrayOfAlignment(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Alignment` objects.
    `static AnimateShowEffect[]` | `arrayOfAnimateShowEffect(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AnimateShowEffect` objects.
    `static AnimationAcceleration[]` | `arrayOfAnimationAcceleration(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AnimationAcceleration` objects.
    `static AnimationEffect[]` | `arrayOfAnimationEffect(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AnimationEffect` objects.
    `static Applet[]` | `arrayOfApplet(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Applet` objects.
    `static ArrowStyle[]` | `arrayOfArrowStyle(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ArrowStyle` objects.
    `static AutoComplete[]` | `arrayOfAutoComplete(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AutoComplete` objects.
    `static Autofit[]` | `arrayOfAutofit(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Autofit` objects.
    `static AutoFitEvent[]` | `arrayOfAutoFitEvent(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitEvent` objects.
    `static AutoFitIconFieldType[]` | `arrayOfAutoFitIconFieldType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitIconFieldType` objects.
    `static AutoFitTextAreaItem[]` | `arrayOfAutoFitTextAreaItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitTextAreaItem` objects.
    `static AutoFitWidthApproach[]` | `arrayOfAutoFitWidthApproach(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitWidthApproach` objects.
    `static AutoSelectionModel[]` | `arrayOfAutoSelectionModel(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `AutoSelectionModel` objects.
    `static Axis[]` | `arrayOfAxis(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Axis` objects.
    `static BackgroundRepeat[]` | `arrayOfBackgroundRepeat(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `BackgroundRepeat` objects.
    `static BatchUploader[]` | `arrayOfBatchUploader(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `BatchUploader` objects.
    `static BlurbItem[]` | `arrayOfBlurbItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `BlurbItem` objects.
    `static BooleanItem[]` | `arrayOfBooleanItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `BooleanItem` objects.
    `static BrowserPlugin[]` | `arrayOfBrowserPlugin(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `BrowserPlugin` objects.
    `static Button[]` | `arrayOfButton(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Button` objects.
    `static ButtonItem[]` | `arrayOfButtonItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ButtonItem` objects.
    `static Calendar[]` | `arrayOfCalendar(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Calendar` objects.
    `static CalendarEvent[]` | `arrayOfCalendarEvent(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CalendarEvent` objects.
    `static CalendarView[]` | `arrayOfCalendarView(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CalendarView` objects.
    `static Canvas[]` | `arrayOfCanvas(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Canvas` objects.
    `static CanvasEditProxy[]` | `arrayOfCanvasEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CanvasEditProxy` objects.
    `static CanvasItem[]` | `arrayOfCanvasItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CanvasItem` objects.
    `static CellRecord[]` | `arrayOfCellRecord(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CellRecord` objects.
    `static CellSelection[]` | `arrayOfCellSelection(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CellSelection` objects.
    `static CharacterCasing[]` | `arrayOfCharacterCasing(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CharacterCasing` objects.
    `static ChartType[]` | `arrayOfChartType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ChartType` objects.
    `static CheckboxItem[]` | `arrayOfCheckboxItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CheckboxItem` objects.
    `static CheckboxItemEditProxy[]` | `arrayOfCheckboxItemEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CheckboxItemEditProxy` objects.
    `static ClickMaskMode[]` | `arrayOfClickMaskMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ClickMaskMode` objects.
    `static ColorItem[]` | `arrayOfColorItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ColorItem` objects.
    `static ColorPicker[]` | `arrayOfColorPicker(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ColorPicker` objects.
    `static ColorPickerItem[]` | `arrayOfColorPickerItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ColorPickerItem` objects.
    `static ColorPickerMode[]` | `arrayOfColorPickerMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ColorPickerMode` objects.
    `static ColorStop[]` | `arrayOfColorStop(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ColorStop` objects.
    `static ColumnTree[]` | `arrayOfColumnTree(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ColumnTree` objects.
    `static ComboBoxItem[]` | `arrayOfComboBoxItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ComboBoxItem` objects.
    `static ConnectorOrientation[]` | `arrayOfConnectorOrientation(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ConnectorOrientation` objects.
    `static ConnectorStyle[]` | `arrayOfConnectorStyle(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ConnectorStyle` objects.
    `static ContentsType[]` | `arrayOfContentsType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ContentsType` objects.
    `static ControlName[]` | `arrayOfControlName(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ControlName` objects.
    `static Criteria[]` | `arrayOfCriteria(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Criteria` objects.
    `static CriteriaCombineOperator[]` | `arrayOfCriteriaCombineOperator(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CriteriaCombineOperator` objects.
    `static CriteriaPolicy[]` | `arrayOfCriteriaPolicy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CriteriaPolicy` objects.
    `static Criterion[]` | `arrayOfCriterion(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Criterion` objects.
    `static CubeGrid[]` | `arrayOfCubeGrid(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CubeGrid` objects.
    `static CurrentPane[]` | `arrayOfCurrentPane(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `CurrentPane` objects.
    `static Cursor[]` | `arrayOfCursor(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Cursor` objects.
    `static DataLineType[]` | `arrayOfDataLineType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DataLineType` objects.
    `static DataSource[]` | `arrayOfDataSource(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DataSource` objects.
    `static DataSourceField[]` | `arrayOfDataSourceField(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DataSourceField` objects.
    `static java.util.Date[]` | `arrayOfDate(JavaScriptObject array)`
    `static DateChooser[]` | `arrayOfDateChooser(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateChooser` objects.
    `static DateDisplayFormat[]` | `arrayOfDateDisplayFormat(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateDisplayFormat` objects.
    `static DateEditingStyle[]` | `arrayOfDateEditingStyle(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateEditingStyle` objects.
    `static DateFieldLayout[]` | `arrayOfDateFieldLayout(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateFieldLayout` objects.
    `static DateGrid[]` | `arrayOfDateGrid(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateGrid` objects.
    `static DateItem[]` | `arrayOfDateItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateItem` objects.
    `static DateItemEditProxy[]` | `arrayOfDateItemEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateItemEditProxy` objects.
    `static DateItemSelectorFormat[]` | `arrayOfDateItemSelectorFormat(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateItemSelectorFormat` objects.
    `static DateRangeDialog[]` | `arrayOfDateRangeDialog(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateRangeDialog` objects.
    `static DateRangeItem[]` | `arrayOfDateRangeItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateRangeItem` objects.
    `static DateTimeItem[]` | `arrayOfDateTimeItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DateTimeItem` objects.
    `static DecisionGateway[]` | `arrayOfDecisionGateway(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DecisionGateway` objects.
    `static DefaultSampleRecord[]` | `arrayOfDefaultSampleRecord(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DefaultSampleRecord` objects.
    `static DetailViewer[]` | `arrayOfDetailViewer(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewer` objects.
    `static DetailViewerEditProxy[]` | `arrayOfDetailViewerEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerEditProxy` objects.
    `static DetailViewerField[]` | `arrayOfDetailViewerField(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerField` objects.
    `static DetailViewerRecord[]` | `arrayOfDetailViewerRecord(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerRecord` objects.
    `static DeviceMode[]` | `arrayOfDeviceMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DeviceMode` objects.
    `static Dialog[]` | `arrayOfDialog(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Dialog` objects.
    `static DialogButtons[]` | `arrayOfDialogButtons(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DialogButtons` objects.
    `static Direction[]` | `arrayOfDirection(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Direction` objects.
    `static DisplayNodeType[]` | `arrayOfDisplayNodeType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DisplayNodeType` objects.
    `static double[]` | `arrayOfdouble(JavaScriptObject array)`
    `static DoubleItem[]` | `arrayOfDoubleItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DoubleItem` objects.
    `static DragAppearance[]` | `arrayOfDragAppearance(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DragAppearance` objects.
    `static DragDataAction[]` | `arrayOfDragDataAction(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DragDataAction` objects.
    `static DragIntersectStyle[]` | `arrayOfDragIntersectStyle(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DragIntersectStyle` objects.
    `static DragMaskType[]` | `arrayOfDragMaskType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DragMaskType` objects.
    `static DragTrackerMode[]` | `arrayOfDragTrackerMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DragTrackerMode` objects.
    `static DrawBlockConnector[]` | `arrayOfDrawBlockConnector(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawBlockConnector` objects.
    `static DrawCurve[]` | `arrayOfDrawCurve(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawCurve` objects.
    `static DrawDiamond[]` | `arrayOfDrawDiamond(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawDiamond` objects.
    `static DrawGroup[]` | `arrayOfDrawGroup(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawGroup` objects.
    `static DrawImage[]` | `arrayOfDrawImage(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawImage` objects.
    `static DrawItem[]` | `arrayOfDrawItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawItem` objects.
    `static DrawItemEditProxy[]` | `arrayOfDrawItemEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawItemEditProxy` objects.
    `static DrawKnob[]` | `arrayOfDrawKnob(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawKnob` objects.
    `static DrawLabel[]` | `arrayOfDrawLabel(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawLabel` objects.
    `static DrawLabelEditProxy[]` | `arrayOfDrawLabelEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawLabelEditProxy` objects.
    `static DrawLine[]` | `arrayOfDrawLine(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawLine` objects.
    `static DrawLinePath[]` | `arrayOfDrawLinePath(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawLinePath` objects.
    `static DrawnValue[]` | `arrayOfDrawnValue(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawnValue` objects.
    `static DrawOval[]` | `arrayOfDrawOval(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawOval` objects.
    `static DrawPane[]` | `arrayOfDrawPane(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawPane` objects.
    `static DrawPaneEditProxy[]` | `arrayOfDrawPaneEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawPaneEditProxy` objects.
    `static DrawPath[]` | `arrayOfDrawPath(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawPath` objects.
    `static DrawPolygon[]` | `arrayOfDrawPolygon(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawPolygon` objects.
    `static DrawPosition[]` | `arrayOfDrawPosition(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawPosition` objects.
    `static DrawRect[]` | `arrayOfDrawRect(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawRect` objects.
    `static DrawSector[]` | `arrayOfDrawSector(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawSector` objects.
    `static DrawShape[]` | `arrayOfDrawShape(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawShape` objects.
    `static DrawShapeCommand[]` | `arrayOfDrawShapeCommand(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawShapeCommand` objects.
    `static DrawShapeCommandType[]` | `arrayOfDrawShapeCommandType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawShapeCommandType` objects.
    `static DrawTriangle[]` | `arrayOfDrawTriangle(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DrawTriangle` objects.
    `static DSDataFormat[]` | `arrayOfDSDataFormat(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSDataFormat` objects.
    `static DSInheritanceMode[]` | `arrayOfDSInheritanceMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSInheritanceMode` objects.
    `static DSOperationType[]` | `arrayOfDSOperationType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSOperationType` objects.
    `static DSProtocol[]` | `arrayOfDSProtocol(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSProtocol` objects.
    `static DSRequest[]` | `arrayOfDSRequest(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSRequest` objects.
    `static DSResponse[]` | `arrayOfDSResponse(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSResponse` objects.
    `static DSServerType[]` | `arrayOfDSServerType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DSServerType` objects.
    `static DynamicForm[]` | `arrayOfDynamicForm(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `DynamicForm` objects.
    `static EdgedCanvas[]` | `arrayOfEdgedCanvas(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EdgedCanvas` objects.
    `static EdgeName[]` | `arrayOfEdgeName(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EdgeName` objects.
    `static EditCompletionEvent[]` | `arrayOfEditCompletionEvent(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EditCompletionEvent` objects.
    `static EditContext[]` | `arrayOfEditContext(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EditContext` objects.
    `static EditNode[]` | `arrayOfEditNode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EditNode` objects.
    `static EditPane[]` | `arrayOfEditPane(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EditPane` objects.
    `static EditProxy[]` | `arrayOfEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EditProxy` objects.
    `static EditTree[]` | `arrayOfEditTree(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EditTree` objects.
    `static EmbeddedPosition[]` | `arrayOfEmbeddedPosition(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EmbeddedPosition` objects.
    `static Encoding[]` | `arrayOfEncoding(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Encoding` objects.
    `static EnterKeyEditAction[]` | `arrayOfEnterKeyEditAction(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EnterKeyEditAction` objects.
    `static EnumTranslateStrategy[]` | `arrayOfEnumTranslateStrategy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EnumTranslateStrategy` objects.
    `static EscapeKeyEditAction[]` | `arrayOfEscapeKeyEditAction(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EscapeKeyEditAction` objects.
    `static EscapingMode[]` | `arrayOfEscapingMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EscapingMode` objects.
    `static EventCanvas[]` | `arrayOfEventCanvas(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EventCanvas` objects.
    `static EventWindow[]` | `arrayOfEventWindow(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `EventWindow` objects.
    `static ExpansionComponentPoolingMode[]` | `arrayOfExpansionComponentPoolingMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ExpansionComponentPoolingMode` objects.
    `static ExpansionMode[]` | `arrayOfExpansionMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ExpansionMode` objects.
    `static ExportDisplay[]` | `arrayOfExportDisplay(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ExportDisplay` objects.
    `static ExportFormat[]` | `arrayOfExportFormat(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ExportFormat` objects.
    `static ExportImageFormat[]` | `arrayOfExportImageFormat(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ExportImageFormat` objects.
    `static FacadeDataSource[]` | `arrayOfFacadeDataSource(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FacadeDataSource` objects.
    `static Facet[]` | `arrayOfFacet(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Facet` objects.
    `static FacetChart[]` | `arrayOfFacetChart(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FacetChart` objects.
    `static FacetChartEditProxy[]` | `arrayOfFacetChartEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FacetChartEditProxy` objects.
    `static FacetValue[]` | `arrayOfFacetValue(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FacetValue` objects.
    `static FacetValueMap[]` | `arrayOfFacetValueMap(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FacetValueMap` objects.
    `static FetchMode[]` | `arrayOfFetchMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FetchMode` objects.
    `static FieldAppearance[]` | `arrayOfFieldAppearance(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FieldAppearance` objects.
    `static FieldNamingStrategy[]` | `arrayOfFieldNamingStrategy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FieldNamingStrategy` objects.
    `static FieldPicker[]` | `arrayOfFieldPicker(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FieldPicker` objects.
    `static FieldPickerWindow[]` | `arrayOfFieldPickerWindow(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FieldPickerWindow` objects.
    `static FieldType[]` | `arrayOfFieldType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FieldType` objects.
    `static FileItem[]` | `arrayOfFileItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FileItem` objects.
    `static FileSpec[]` | `arrayOfFileSpec(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FileSpec` objects.
    `static FilterBuilder[]` | `arrayOfFilterBuilder(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FilterBuilder` objects.
    `static FilterClause[]` | `arrayOfFilterClause(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FilterClause` objects.
    `static FireStyle[]` | `arrayOfFireStyle(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FireStyle` objects.
    `static FiscalCalendar[]` | `arrayOfFiscalCalendar(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FiscalCalendar` objects.
    `static FiscalYear[]` | `arrayOfFiscalYear(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FiscalYear` objects.
    `static FiscalYearMode[]` | `arrayOfFiscalYearMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FiscalYearMode` objects.
    `static Flashlet[]` | `arrayOfFlashlet(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Flashlet` objects.
    `static float[]` | `arrayOffloat(JavaScriptObject array)`
    `static java.lang.Float[]` | `arrayOfFloat(JavaScriptObject array)`
    `static FloatItem[]` | `arrayOfFloatItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FloatItem` objects.
    `static FlowLayout[]` | `arrayOfFlowLayout(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FlowLayout` objects.
    `static ForceTextApproach[]` | `arrayOfForceTextApproach(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ForceTextApproach` objects.
    `static FormEditProxy[]` | `arrayOfFormEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FormEditProxy` objects.
    `static FormItem[]` | `arrayOfFormItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FormItem` objects.
    `static FormItemEditProxy[]` | `arrayOfFormItemEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FormItemEditProxy` objects.
    `static FormItemIcon[]` | `arrayOfFormItemIcon(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FormItemIcon` objects.
    `static FormItemType[]` | `arrayOfFormItemType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FormItemType` objects.
    `static FormMethod[]` | `arrayOfFormMethod(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `FormMethod` objects.
    `static Gauge[]` | `arrayOfGauge(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Gauge` objects.
    `static GaugeSector[]` | `arrayOfGaugeSector(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `GaugeSector` objects.
    `static Gradient[]` | `arrayOfGradient(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Gradient` objects.
    `static GridEditProxy[]` | `arrayOfGridEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `GridEditProxy` objects.
    `static GridRenderer[]` | `arrayOfGridRenderer(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `GridRenderer` objects.
    `static GroupStartOpen[]` | `arrayOfGroupStartOpen(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `GroupStartOpen` objects.
    `static GroupSummary[]` | `arrayOfGroupSummary(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `GroupSummary` objects.
    `static HashAlgorithm[]` | `arrayOfHashAlgorithm(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HashAlgorithm` objects.
    `static HeaderItem[]` | `arrayOfHeaderItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HeaderItem` objects.
    `static HeaderLevel[]` | `arrayOfHeaderLevel(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HeaderLevel` objects.
    `static HeaderSpan[]` | `arrayOfHeaderSpan(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HeaderSpan` objects.
    `static HiddenItem[]` | `arrayOfHiddenItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HiddenItem` objects.
    `static HiddenPalette[]` | `arrayOfHiddenPalette(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HiddenPalette` objects.
    `static Hilite[]` | `arrayOfHilite(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Hilite` objects.
    `static HiliteEditor[]` | `arrayOfHiliteEditor(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HiliteEditor` objects.
    `static HiliteIconPosition[]` | `arrayOfHiliteIconPosition(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HiliteIconPosition` objects.
    `static HiliteRule[]` | `arrayOfHiliteRule(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HiliteRule` objects.
    `static HLayout[]` | `arrayOfHLayout(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HLayout` objects.
    `static HoopSelectionStyle[]` | `arrayOfHoopSelectionStyle(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HoopSelectionStyle` objects.
    `static HoverMode[]` | `arrayOfHoverMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HoverMode` objects.
    `static HStack[]` | `arrayOfHStack(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HStack` objects.
    `static HTMLFlow[]` | `arrayOfHTMLFlow(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HTMLFlow` objects.
    `static HTMLPane[]` | `arrayOfHTMLPane(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `HTMLPane` objects.
    `static IButton[]` | `arrayOfIButton(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IButton` objects.
    `static IconButton[]` | `arrayOfIconButton(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IconButton` objects.
    `static IconMenuButton[]` | `arrayOfIconMenuButton(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IconMenuButton` objects.
    `static ImageStyle[]` | `arrayOfImageStyle(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ImageStyle` objects.
    `static IMenuButton[]` | `arrayOfIMenuButton(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IMenuButton` objects.
    `static Img[]` | `arrayOfImg(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Img` objects.
    `static ImgButton[]` | `arrayOfImgButton(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ImgButton` objects.
    `static ImgProperties[]` | `arrayOfImgProperties(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ImgProperties` objects.
    `static ImgSectionHeader[]` | `arrayOfImgSectionHeader(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ImgSectionHeader` objects.
    `static ImgSplitbar[]` | `arrayOfImgSplitbar(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ImgSplitbar` objects.
    `static ImgTab[]` | `arrayOfImgTab(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ImgTab` objects.
    `static IndicatorCanvas[]` | `arrayOfIndicatorCanvas(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IndicatorCanvas` objects.
    `static InlineEditEvent[]` | `arrayOfInlineEditEvent(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `InlineEditEvent` objects.
    `static int[]` | `arrayOfint(JavaScriptObject array)`
    `static java.lang.Integer[]` | `arrayOfInteger(JavaScriptObject array)`
    `static IntegerItem[]` | `arrayOfIntegerItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IntegerItem` objects.
    `static IPickTreeItem[]` | `arrayOfIPickTreeItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `IPickTreeItem` objects.
    `static JoinType[]` | `arrayOfJoinType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `JoinType` objects.
    `static JSONCircularReferenceMode[]` | `arrayOfJSONCircularReferenceMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `JSONCircularReferenceMode` objects.
    `static JSONDateFormat[]` | `arrayOfJSONDateFormat(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `JSONDateFormat` objects.
    `static JSONEncoder[]` | `arrayOfJSONEncoder(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `JSONEncoder` objects.
    `static JSONInstanceSerializationMode[]` | `arrayOfJSONInstanceSerializationMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `JSONInstanceSerializationMode` objects.
    `static JSSyntaxHiliter[]` | `arrayOfJSSyntaxHiliter(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `JSSyntaxHiliter` objects.
    `static KeyIdentifier[]` | `arrayOfKeyIdentifier(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `KeyIdentifier` objects.
    `static KnobType[]` | `arrayOfKnobType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `KnobType` objects.
    `static Label[]` | `arrayOfLabel(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Label` objects.
    `static LabelCollapseMode[]` | `arrayOfLabelCollapseMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LabelCollapseMode` objects.
    `static LabelEditProxy[]` | `arrayOfLabelEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LabelEditProxy` objects.
    `static LabelRotationMode[]` | `arrayOfLabelRotationMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LabelRotationMode` objects.
    `static Lane[]` | `arrayOfLane(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Lane` objects.
    `static Layout[]` | `arrayOfLayout(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Layout` objects.
    `static LayoutEditProxy[]` | `arrayOfLayoutEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LayoutEditProxy` objects.
    `static LayoutPolicy[]` | `arrayOfLayoutPolicy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LayoutPolicy` objects.
    `static LayoutResizeBarPolicy[]` | `arrayOfLayoutResizeBarPolicy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LayoutResizeBarPolicy` objects.
    `static LayoutSpacer[]` | `arrayOfLayoutSpacer(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LayoutSpacer` objects.
    `static LinearGradient[]` | `arrayOfLinearGradient(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LinearGradient` objects.
    `static LineBreakStyle[]` | `arrayOfLineBreakStyle(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LineBreakStyle` objects.
    `static LineCap[]` | `arrayOfLineCap(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LineCap` objects.
    `static LinePattern[]` | `arrayOfLinePattern(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LinePattern` objects.
    `static LinkItem[]` | `arrayOfLinkItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LinkItem` objects.
    `static ListGrid[]` | `arrayOfListGrid(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListGrid` objects.
    `static ListGridComponent[]` | `arrayOfListGridComponent(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListGridComponent` objects.
    `static ListGridEditEvent[]` | `arrayOfListGridEditEvent(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListGridEditEvent` objects.
    `static ListGridField[]` | `arrayOfListGridField(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListGridField` objects.
    `static ListGridFieldType[]` | `arrayOfListGridFieldType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListGridFieldType` objects.
    `static ListGridRecord[]` | `arrayOfListGridRecord(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListGridRecord` objects.
    `static ListPalette[]` | `arrayOfListPalette(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListPalette` objects.
    `static ListProperties[]` | `arrayOfListProperties(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListProperties` objects.
    `static ListPropertiesDialog[]` | `arrayOfListPropertiesDialog(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListPropertiesDialog` objects.
    `static ListPropertiesPane[]` | `arrayOfListPropertiesPane(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListPropertiesPane` objects.
    `static ListStyleType[]` | `arrayOfListStyleType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ListStyleType` objects.
    `static LoadState[]` | `arrayOfLoadState(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LoadState` objects.
    `static LocatorStrategy[]` | `arrayOfLocatorStrategy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LocatorStrategy` objects.
    `static LocatorTypeStrategy[]` | `arrayOfLocatorTypeStrategy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LocatorTypeStrategy` objects.
    `static LogicalOperator[]` | `arrayOfLogicalOperator(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LogicalOperator` objects.
    `static LogPriority[]` | `arrayOfLogPriority(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `LogPriority` objects.
    `static Menu[]` | `arrayOfMenu(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Menu` objects.
    `static MenuBar[]` | `arrayOfMenuBar(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MenuBar` objects.
    `static MenuButton[]` | `arrayOfMenuButton(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MenuButton` objects.
    `static MenuEditProxy[]` | `arrayOfMenuEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MenuEditProxy` objects.
    `static MenuItem[]` | `arrayOfMenuItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MenuItem` objects.
    `static MenuPalette[]` | `arrayOfMenuPalette(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MenuPalette` objects.
    `static MetricSettings[]` | `arrayOfMetricSettings(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MetricSettings` objects.
    `static MiniDateRangeItem[]` | `arrayOfMiniDateRangeItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MiniDateRangeItem` objects.
    `static MiniNavControl[]` | `arrayOfMiniNavControl(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MiniNavControl` objects.
    `static MockDataSource[]` | `arrayOfMockDataSource(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MockDataSource` objects.
    `static MockDataType[]` | `arrayOfMockDataType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MockDataType` objects.
    `static MoveKnobPoint[]` | `arrayOfMoveKnobPoint(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MoveKnobPoint` objects.
    `static MultiComboBoxItem[]` | `arrayOfMultiComboBoxItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiComboBoxItem` objects.
    `static MultiComboBoxLayoutStyle[]` | `arrayOfMultiComboBoxLayoutStyle(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiComboBoxLayoutStyle` objects.
    `static MultiFileItem[]` | `arrayOfMultiFileItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiFileItem` objects.
    `static MultiFilePicker[]` | `arrayOfMultiFilePicker(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiFilePicker` objects.
    `static MultiGroupDialog[]` | `arrayOfMultiGroupDialog(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiGroupDialog` objects.
    `static MultipleAppearance[]` | `arrayOfMultipleAppearance(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultipleAppearance` objects.
    `static MultipleFieldStorage[]` | `arrayOfMultipleFieldStorage(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultipleFieldStorage` objects.
    `static MultiUpdatePolicy[]` | `arrayOfMultiUpdatePolicy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `MultiUpdatePolicy` objects.
    `static NativeCheckboxItem[]` | `arrayOfNativeCheckboxItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `NativeCheckboxItem` objects.
    `static NavigationBar[]` | `arrayOfNavigationBar(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `NavigationBar` objects.
    `static NavigationButton[]` | `arrayOfNavigationButton(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `NavigationButton` objects.
    `static NavigationDirection[]` | `arrayOfNavigationDirection(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `NavigationDirection` objects.
    `static NavigationMode[]` | `arrayOfNavigationMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `NavigationMode` objects.
    `static java.lang.Object[]` | `arrayOfObject(JavaScriptObject array)`
    `static OperationBinding[]` | `arrayOfOperationBinding(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `OperationBinding` objects.
    `static OperatorId[]` | `arrayOfOperatorId(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `OperatorId` objects.
    `static OperatorValueType[]` | `arrayOfOperatorValueType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `OperatorValueType` objects.
    `static Orientation[]` | `arrayOfOrientation(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Orientation` objects.
    `static Overflow[]` | `arrayOfOverflow(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Overflow` objects.
    `static PageEvent[]` | `arrayOfPageEvent(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PageEvent` objects.
    `static PageOrientation[]` | `arrayOfPageOrientation(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PageOrientation` objects.
    `static Palette[]` | `arrayOfPalette(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Palette` objects.
    `static PaletteNode[]` | `arrayOfPaletteNode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PaletteNode` objects.
    `static PanelPlacement[]` | `arrayOfPanelPlacement(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PanelPlacement` objects.
    `static PartialCommitOption[]` | `arrayOfPartialCommitOption(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PartialCommitOption` objects.
    `static PasswordItem[]` | `arrayOfPasswordItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PasswordItem` objects.
    `static PercentBoxModel[]` | `arrayOfPercentBoxModel(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PercentBoxModel` objects.
    `static PickListItemIconPlacement[]` | `arrayOfPickListItemIconPlacement(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PickListItemIconPlacement` objects.
    `static PickTreeItem[]` | `arrayOfPickTreeItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PickTreeItem` objects.
    `static Point[]` | `arrayOfPoint(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Point` objects.
    `static PointShape[]` | `arrayOfPointShape(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PointShape` objects.
    `static PortalLayout[]` | `arrayOfPortalLayout(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PortalLayout` objects.
    `static PortalPosition[]` | `arrayOfPortalPosition(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PortalPosition` objects.
    `static Portlet[]` | `arrayOfPortlet(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Portlet` objects.
    `static Positioning[]` | `arrayOfPositioning(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Positioning` objects.
    `static PreserveOpenState[]` | `arrayOfPreserveOpenState(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PreserveOpenState` objects.
    `static PresetCriteriaItem[]` | `arrayOfPresetCriteriaItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PresetCriteriaItem` objects.
    `static PresetDateRangeItem[]` | `arrayOfPresetDateRangeItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PresetDateRangeItem` objects.
    `static PrintCanvas[]` | `arrayOfPrintCanvas(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PrintCanvas` objects.
    `static PrintProperties[]` | `arrayOfPrintProperties(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PrintProperties` objects.
    `static PrintWindow[]` | `arrayOfPrintWindow(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PrintWindow` objects.
    `static Process[]` | `arrayOfProcess(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Process` objects.
    `static ProcessElement[]` | `arrayOfProcessElement(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ProcessElement` objects.
    `static ProcessSequence[]` | `arrayOfProcessSequence(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ProcessSequence` objects.
    `static ProcessValueType[]` | `arrayOfProcessValueType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ProcessValueType` objects.
    `static Progressbar[]` | `arrayOfProgressbar(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Progressbar` objects.
    `static ProgressbarEditProxy[]` | `arrayOfProgressbarEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ProgressbarEditProxy` objects.
    `static PromptStyle[]` | `arrayOfPromptStyle(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PromptStyle` objects.
    `static PropertyIdentifier[]` | `arrayOfPropertyIdentifier(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PropertyIdentifier` objects.
    `static PropertySheet[]` | `arrayOfPropertySheet(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `PropertySheet` objects.
    `static ProportionalResizeMode[]` | `arrayOfProportionalResizeMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ProportionalResizeMode` objects.
    `static RadialGradient[]` | `arrayOfRadialGradient(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RadialGradient` objects.
    `static RadioGroupItem[]` | `arrayOfRadioGroupItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RadioGroupItem` objects.
    `static RangeSlider[]` | `arrayOfRangeSlider(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RangeSlider` objects.
    `static ReadOnlyDisplayAppearance[]` | `arrayOfReadOnlyDisplayAppearance(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ReadOnlyDisplayAppearance` objects.
    `static RecategorizeMode[]` | `arrayOfRecategorizeMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RecategorizeMode` objects.
    `static Record[]` | `arrayOfRecord(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Record` objects.
    `static RecordComponentPoolingMode[]` | `arrayOfRecordComponentPoolingMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RecordComponentPoolingMode` objects.
    `static RecordDropAppearance[]` | `arrayOfRecordDropAppearance(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RecordDropAppearance` objects.
    `static RecordDropPosition[]` | `arrayOfRecordDropPosition(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RecordDropPosition` objects.
    `static RecordEditor[]` | `arrayOfRecordEditor(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RecordEditor` objects.
    `static RecordLayout[]` | `arrayOfRecordLayout(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RecordLayout` objects.
    `static RecordSummaryFunctionType[]` | `arrayOfRecordSummaryFunctionType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RecordSummaryFunctionType` objects.
    `static RegressionLineType[]` | `arrayOfRegressionLineType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RegressionLineType` objects.
    `static RelativeDate[]` | `arrayOfRelativeDate(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDate` objects.
    `static RelativeDateItem[]` | `arrayOfRelativeDateItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDateItem` objects.
    `static RelativeDateRangePosition[]` | `arrayOfRelativeDateRangePosition(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDateRangePosition` objects.
    `static ReorderPosition[]` | `arrayOfReorderPosition(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ReorderPosition` objects.
    `static ResetItem[]` | `arrayOfResetItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ResetItem` objects.
    `static ResizeKnobPoint[]` | `arrayOfResizeKnobPoint(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ResizeKnobPoint` objects.
    `static RestDataSource[]` | `arrayOfRestDataSource(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RestDataSource` objects.
    `static ResultTree[]` | `arrayOfResultTree(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ResultTree` objects.
    `static RibbonBar[]` | `arrayOfRibbonBar(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RibbonBar` objects.
    `static RibbonGroup[]` | `arrayOfRibbonGroup(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RibbonGroup` objects.
    `static RichTextEditor[]` | `arrayOfRichTextEditor(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RichTextEditor` objects.
    `static RichTextItem[]` | `arrayOfRichTextItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RichTextItem` objects.
    `static RowEndEditAction[]` | `arrayOfRowEndEditAction(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RowEndEditAction` objects.
    `static RowSpacerItem[]` | `arrayOfRowSpacerItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RowSpacerItem` objects.
    `static RowSpanEditMode[]` | `arrayOfRowSpanEditMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RowSpanEditMode` objects.
    `static RowSpanSelectionMode[]` | `arrayOfRowSpanSelectionMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RowSpanSelectionMode` objects.
    `static RPCRequest[]` | `arrayOfRPCRequest(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RPCRequest` objects.
    `static RPCResponse[]` | `arrayOfRPCResponse(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RPCResponse` objects.
    `static RPCTransport[]` | `arrayOfRPCTransport(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `RPCTransport` objects.
    `static ScriptTask[]` | `arrayOfScriptTask(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ScriptTask` objects.
    `static Scrollbar[]` | `arrayOfScrollbar(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Scrollbar` objects.
    `static SearchForm[]` | `arrayOfSearchForm(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SearchForm` objects.
    `static SectionHeader[]` | `arrayOfSectionHeader(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SectionHeader` objects.
    `static SectionItem[]` | `arrayOfSectionItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SectionItem` objects.
    `static SectionStack[]` | `arrayOfSectionStack(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SectionStack` objects.
    `static SectionStackEditProxy[]` | `arrayOfSectionStackEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SectionStackEditProxy` objects.
    `static SectionStackSection[]` | `arrayOfSectionStackSection(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SectionStackSection` objects.
    `static Selected[]` | `arrayOfSelected(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Selected` objects.
    `static SelectedAppearance[]` | `arrayOfSelectedAppearance(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectedAppearance` objects.
    `static SelectionAppearance[]` | `arrayOfSelectionAppearance(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectionAppearance` objects.
    `static SelectionBoundary[]` | `arrayOfSelectionBoundary(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectionBoundary` objects.
    `static SelectionNotificationType[]` | `arrayOfSelectionNotificationType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectionNotificationType` objects.
    `static SelectionStyle[]` | `arrayOfSelectionStyle(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectionStyle` objects.
    `static SelectionTreeMenu[]` | `arrayOfSelectionTreeMenu(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectionTreeMenu` objects.
    `static SelectionType[]` | `arrayOfSelectionType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectionType` objects.
    `static SelectItem[]` | `arrayOfSelectItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectItem` objects.
    `static SelectItemEditProxy[]` | `arrayOfSelectItemEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectItemEditProxy` objects.
    `static SelectItemsMode[]` | `arrayOfSelectItemsMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectItemsMode` objects.
    `static SelectOtherItem[]` | `arrayOfSelectOtherItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SelectOtherItem` objects.
    `static SendMethod[]` | `arrayOfSendMethod(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SendMethod` objects.
    `static SequenceMode[]` | `arrayOfSequenceMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SequenceMode` objects.
    `static SerializationSettings[]` | `arrayOfSerializationSettings(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SerializationSettings` objects.
    `static ServiceTask[]` | `arrayOfServiceTask(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ServiceTask` objects.
    `static Shadow[]` | `arrayOfShadow(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Shadow` objects.
    `static Side[]` | `arrayOfSide(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Side` objects.
    `static SimpleGradient[]` | `arrayOfSimpleGradient(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SimpleGradient` objects.
    `static SimpleTile[]` | `arrayOfSimpleTile(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SimpleTile` objects.
    `static SimpleType[]` | `arrayOfSimpleType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SimpleType` objects.
    `static Slider[]` | `arrayOfSlider(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Slider` objects.
    `static SliderItem[]` | `arrayOfSliderItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SliderItem` objects.
    `static Snapbar[]` | `arrayOfSnapbar(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Snapbar` objects.
    `static SortArrow[]` | `arrayOfSortArrow(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SortArrow` objects.
    `static SortDirection[]` | `arrayOfSortDirection(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SortDirection` objects.
    `static SortSpecifier[]` | `arrayOfSortSpecifier(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SortSpecifier` objects.
    `static SpacerItem[]` | `arrayOfSpacerItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SpacerItem` objects.
    `static SpinnerItem[]` | `arrayOfSpinnerItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SpinnerItem` objects.
    `static Splitbar[]` | `arrayOfSplitbar(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Splitbar` objects.
    `static SplitPane[]` | `arrayOfSplitPane(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SplitPane` objects.
    `static SplitPaneEditProxy[]` | `arrayOfSplitPaneEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SplitPaneEditProxy` objects.
    `static SQLPagingStrategy[]` | `arrayOfSQLPagingStrategy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SQLPagingStrategy` objects.
    `static StandardControlGroup[]` | `arrayOfStandardControlGroup(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StandardControlGroup` objects.
    `static State[]` | `arrayOfState(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `State` objects.
    `static StatefulCanvas[]` | `arrayOfStatefulCanvas(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StatefulCanvas` objects.
    `static StatefulCanvasEditProxy[]` | `arrayOfStatefulCanvasEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StatefulCanvasEditProxy` objects.
    `static StateTask[]` | `arrayOfStateTask(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StateTask` objects.
    `static StaticTextItem[]` | `arrayOfStaticTextItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StaticTextItem` objects.
    `static StretchImg[]` | `arrayOfStretchImg(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StretchImg` objects.
    `static StretchImgButton[]` | `arrayOfStretchImgButton(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StretchImgButton` objects.
    `static StretchItem[]` | `arrayOfStretchItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `StretchItem` objects.
    `static java.lang.String[]` | `arrayOfString(JavaScriptObject array)`
    `static SubmitItem[]` | `arrayOfSubmitItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SubmitItem` objects.
    `static SummaryFunctionType[]` | `arrayOfSummaryFunctionType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SummaryFunctionType` objects.
    `static SVG[]` | `arrayOfSVG(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SVG` objects.
    `static SyntaxHiliter[]` | `arrayOfSyntaxHiliter(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `SyntaxHiliter` objects.
    `static Tab[]` | `arrayOfTab(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Tab` objects.
    `static TabBar[]` | `arrayOfTabBar(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TabBar` objects.
    `static TableMode[]` | `arrayOfTableMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TableMode` objects.
    `static TableView[]` | `arrayOfTableView(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TableView` objects.
    `static TabSet[]` | `arrayOfTabSet(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TabSet` objects.
    `static TabSetEditProxy[]` | `arrayOfTabSetEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TabSetEditProxy` objects.
    `static TabTitleEditEvent[]` | `arrayOfTabTitleEditEvent(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TabTitleEditEvent` objects.
    `static Task[]` | `arrayOfTask(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Task` objects.
    `static TextAreaItem[]` | `arrayOfTextAreaItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaItem` objects.
    `static TextAreaItemEditProxy[]` | `arrayOfTextAreaItemEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaItemEditProxy` objects.
    `static TextAreaWrap[]` | `arrayOfTextAreaWrap(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaWrap` objects.
    `static TextExportSettings[]` | `arrayOfTextExportSettings(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextExportSettings` objects.
    `static TextImportSettings[]` | `arrayOfTextImportSettings(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextImportSettings` objects.
    `static TextItem[]` | `arrayOfTextItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextItem` objects.
    `static TextItemEditProxy[]` | `arrayOfTextItemEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextItemEditProxy` objects.
    `static TextMatchStyle[]` | `arrayOfTextMatchStyle(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextMatchStyle` objects.
    `static TextSettings[]` | `arrayOfTextSettings(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TextSettings` objects.
    `static TileGrid[]` | `arrayOfTileGrid(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TileGrid` objects.
    `static TileLayout[]` | `arrayOfTileLayout(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TileLayout` objects.
    `static TileLayoutPolicy[]` | `arrayOfTileLayoutPolicy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TileLayoutPolicy` objects.
    `static TilePalette[]` | `arrayOfTilePalette(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TilePalette` objects.
    `static TileRecord[]` | `arrayOfTileRecord(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TileRecord` objects.
    `static TimeDisplayFormat[]` | `arrayOfTimeDisplayFormat(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TimeDisplayFormat` objects.
    `static TimeItem[]` | `arrayOfTimeItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TimeItem` objects.
    `static Timeline[]` | `arrayOfTimeline(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Timeline` objects.
    `static TimeUnit[]` | `arrayOfTimeUnit(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TimeUnit` objects.
    `static TitleOrientation[]` | `arrayOfTitleOrientation(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TitleOrientation` objects.
    `static ToolbarItem[]` | `arrayOfToolbarItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolbarItem` objects.
    `static ToolStrip[]` | `arrayOfToolStrip(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolStrip` objects.
    `static ToolStripButton[]` | `arrayOfToolStripButton(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripButton` objects.
    `static ToolStripGroup[]` | `arrayOfToolStripGroup(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripGroup` objects.
    `static ToolStripMenuButton[]` | `arrayOfToolStripMenuButton(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripMenuButton` objects.
    `static ToolStripResizer[]` | `arrayOfToolStripResizer(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripResizer` objects.
    `static ToolStripSeparator[]` | `arrayOfToolStripSeparator(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripSeparator` objects.
    `static TopOperatorAppearance[]` | `arrayOfTopOperatorAppearance(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TopOperatorAppearance` objects.
    `static Tree[]` | `arrayOfTree(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Tree` objects.
    `static TreeFilterMode[]` | `arrayOfTreeFilterMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreeFilterMode` objects.
    `static TreeGrid[]` | `arrayOfTreeGrid(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreeGrid` objects.
    `static TreeGridField[]` | `arrayOfTreeGridField(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreeGridField` objects.
    `static TreeMenuButton[]` | `arrayOfTreeMenuButton(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreeMenuButton` objects.
    `static TreeModelType[]` | `arrayOfTreeModelType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreeModelType` objects.
    `static TreeNode[]` | `arrayOfTreeNode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreeNode` objects.
    `static TreePalette[]` | `arrayOfTreePalette(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `TreePalette` objects.
    `static UploadItem[]` | `arrayOfUploadItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `UploadItem` objects.
    `static UserFormula[]` | `arrayOfUserFormula(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `UserFormula` objects.
    `static UserSummary[]` | `arrayOfUserSummary(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `UserSummary` objects.
    `static UserTask[]` | `arrayOfUserTask(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `UserTask` objects.
    `static ValidationMode[]` | `arrayOfValidationMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ValidationMode` objects.
    `static Validator[]` | `arrayOfValidator(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Validator` objects.
    `static ValidatorType[]` | `arrayOfValidatorType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ValidatorType` objects.
    `static ValueItemType[]` | `arrayOfValueItemType(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ValueItemType` objects.
    `static ValuesManager[]` | `arrayOfValuesManager(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ValuesManager` objects.
    `static VerticalAlignment[]` | `arrayOfVerticalAlignment(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `VerticalAlignment` objects.
    `static ViewFileItem[]` | `arrayOfViewFileItem(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ViewFileItem` objects.
    `static ViewLoader[]` | `arrayOfViewLoader(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ViewLoader` objects.
    `static ViewName[]` | `arrayOfViewName(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ViewName` objects.
    `static Visibility[]` | `arrayOfVisibility(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Visibility` objects.
    `static VisibilityMode[]` | `arrayOfVisibilityMode(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `VisibilityMode` objects.
    `static VLayout[]` | `arrayOfVLayout(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `VLayout` objects.
    `static VStack[]` | `arrayOfVStack(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `VStack` objects.
    `static Window[]` | `arrayOfWindow(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `Window` objects.
    `static WindowEditProxy[]` | `arrayOfWindowEditProxy(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `WindowEditProxy` objects.
    `static WSDataSource[]` | `arrayOfWSDataSource(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `WSDataSource` objects.
    `static XJSONDataSource[]` | `arrayOfXJSONDataSource(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `XJSONDataSource` objects.
    `static XMLSyntaxHiliter[]` | `arrayOfXMLSyntaxHiliter(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `XMLSyntaxHiliter` objects.
    `static XORGateway[]` | `arrayOfXORGateway(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `XORGateway` objects.
    `static ZoneCanvas[]` | `arrayOfZoneCanvas(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ZoneCanvas` objects.
    `static ZoomStartPosition[]` | `arrayOfZoomStartPosition(JavaScriptObject nativeArray)` Given the nativeArray JavaScriptObject, this method will return an array of `ZoomStartPosition` objects.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### arrayOfint

          public static int[] arrayOfint(JavaScriptObject array)

    - #### arrayOfInteger

          public static java.lang.Integer[] arrayOfInteger(JavaScriptObject array)

    - #### arrayOfString

          public static java.lang.String[] arrayOfString(JavaScriptObject array)

    - #### arrayOfFloat

          public static java.lang.Float[] arrayOfFloat(JavaScriptObject array)

    - #### arrayOffloat

          public static float[] arrayOffloat(JavaScriptObject array)

    - #### arrayOfdouble

          public static double[] arrayOfdouble(JavaScriptObject array)

    - #### arrayOfDate

          public static java.util.Date[] arrayOfDate(JavaScriptObject array)

    - #### arrayOfObject

          public static java.lang.Object[] arrayOfObject(JavaScriptObject array)

    - #### arrayOfLineCap

          public static LineCap[] arrayOfLineCap(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LineCap` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LineCap[]

    - #### arrayOfEditContext

          public static EditContext[] arrayOfEditContext(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EditContext` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.EditContext[]

    - #### arrayOfLayoutEditProxy

          public static LayoutEditProxy[] arrayOfLayoutEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LayoutEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.LayoutEditProxy[]

    - #### arrayOfListGridComponent

          public static ListGridComponent[] arrayOfListGridComponent(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListGridComponent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ListGridComponent[]

    - #### arrayOfDrawShapeCommandType

          public static DrawShapeCommandType[] arrayOfDrawShapeCommandType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawShapeCommandType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DrawShapeCommandType[]

    - #### arrayOfPromptStyle

          public static PromptStyle[] arrayOfPromptStyle(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PromptStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PromptStyle[]

    - #### arrayOfXJSONDataSource

          public static XJSONDataSource[] arrayOfXJSONDataSource(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `XJSONDataSource` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.XJSONDataSource[]

    - #### arrayOfLabelCollapseMode

          public static LabelCollapseMode[] arrayOfLabelCollapseMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LabelCollapseMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LabelCollapseMode[]

    - #### arrayOfLinearGradient

          public static LinearGradient[] arrayOfLinearGradient(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LinearGradient` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.LinearGradient[]

    - #### arrayOfTextSettings

          public static TextSettings[] arrayOfTextSettings(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextSettings` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.TextSettings[]

    - #### arrayOfBooleanItem

          public static BooleanItem[] arrayOfBooleanItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `BooleanItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.BooleanItem[]

    - #### arrayOfDragDataAction

          public static DragDataAction[] arrayOfDragDataAction(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DragDataAction` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DragDataAction[]

    - #### arrayOfEditNode

          public static EditNode[] arrayOfEditNode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EditNode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.EditNode[]

    - #### arrayOfZoneCanvas

          public static ZoneCanvas[] arrayOfZoneCanvas(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ZoneCanvas` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.ZoneCanvas[]

    - #### arrayOfDrawLabel

          public static DrawLabel[] arrayOfDrawLabel(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawLabel` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawLabel[]

    - #### arrayOfPortalPosition

          public static PortalPosition[] arrayOfPortalPosition(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PortalPosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.PortalPosition[]

    - #### arrayOfValuesManager

          public static ValuesManager[] arrayOfValuesManager(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ValuesManager` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.ValuesManager[]

    - #### arrayOfMockDataSource

          public static MockDataSource[] arrayOfMockDataSource(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MockDataSource` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.MockDataSource[]

    - #### arrayOfImgTab

          public static ImgTab[] arrayOfImgTab(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ImgTab` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tab.ImgTab[]

    - #### arrayOfSplitPane

          public static SplitPane[] arrayOfSplitPane(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SplitPane` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.SplitPane[]

    - #### arrayOfAdvancedCriteria

          public static AdvancedCriteria[] arrayOfAdvancedCriteria(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AdvancedCriteria` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.AdvancedCriteria[]

    - #### arrayOfDragIntersectStyle

          public static DragIntersectStyle[] arrayOfDragIntersectStyle(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DragIntersectStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DragIntersectStyle[]

    - #### arrayOfLogicalOperator

          public static LogicalOperator[] arrayOfLogicalOperator(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LogicalOperator` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LogicalOperator[]

    - #### arrayOfDataLineType

          public static DataLineType[] arrayOfDataLineType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DataLineType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DataLineType[]

    - #### arrayOfDrawItemEditProxy

          public static DrawItemEditProxy[] arrayOfDrawItemEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawItemEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.DrawItemEditProxy[]

    - #### arrayOfMultiFilePicker

          public static MultiFilePicker[] arrayOfMultiFilePicker(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiFilePicker` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.MultiFilePicker[]

    - #### arrayOfValidationMode

          public static ValidationMode[] arrayOfValidationMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ValidationMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ValidationMode[]

    - #### arrayOfLabel

          public static Label[] arrayOfLabel(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Label` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Label[]

    - #### arrayOfBackgroundRepeat

          public static BackgroundRepeat[] arrayOfBackgroundRepeat(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `BackgroundRepeat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.BackgroundRepeat[]

    - #### arrayOfPortlet

          public static Portlet[] arrayOfPortlet(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Portlet` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.Portlet[]

    - #### arrayOfRibbonBar

          public static RibbonBar[] arrayOfRibbonBar(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RibbonBar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.RibbonBar[]

    - #### arrayOfAutoFitWidthApproach

          public static AutoFitWidthApproach[] arrayOfAutoFitWidthApproach(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitWidthApproach` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AutoFitWidthApproach[]

    - #### arrayOfListStyleType

          public static ListStyleType[] arrayOfListStyleType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListStyleType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ListStyleType[]

    - #### arrayOfRelativeDate

          public static RelativeDate[] arrayOfRelativeDate(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDate` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.RelativeDate[]

    - #### arrayOfNavigationMode

          public static NavigationMode[] arrayOfNavigationMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `NavigationMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.NavigationMode[]

    - #### arrayOfIndicatorCanvas

          public static IndicatorCanvas[] arrayOfIndicatorCanvas(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IndicatorCanvas` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.IndicatorCanvas[]

    - #### arrayOfPortalLayout

          public static PortalLayout[] arrayOfPortalLayout(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PortalLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.PortalLayout[]

    - #### arrayOfDataSource

          public static DataSource[] arrayOfDataSource(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DataSource` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.DataSource[]

    - #### arrayOfMockDataType

          public static MockDataType[] arrayOfMockDataType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MockDataType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.MockDataType[]

    - #### arrayOfSplitbar

          public static Splitbar[] arrayOfSplitbar(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Splitbar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Splitbar[]

    - #### arrayOfSequenceMode

          public static SequenceMode[] arrayOfSequenceMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SequenceMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SequenceMode[]

    - #### arrayOfToolbarItem

          public static ToolbarItem[] arrayOfToolbarItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolbarItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ToolbarItem[]

    - #### arrayOfFormEditProxy

          public static FormEditProxy[] arrayOfFormEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FormEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.FormEditProxy[]

    - #### arrayOfDateTimeItem

          public static DateTimeItem[] arrayOfDateTimeItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateTimeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.DateTimeItem[]

    - #### arrayOfDoubleItem

          public static DoubleItem[] arrayOfDoubleItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DoubleItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.DoubleItem[]

    - #### arrayOfTopOperatorAppearance

          public static TopOperatorAppearance[] arrayOfTopOperatorAppearance(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TopOperatorAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TopOperatorAppearance[]

    - #### arrayOfProcess

          public static Process[] arrayOfProcess(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Process` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.Process[]

    - #### arrayOfEdgedCanvas

          public static EdgedCanvas[] arrayOfEdgedCanvas(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EdgedCanvas` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.EdgedCanvas[]

    - #### arrayOfDrawPosition

          public static DrawPosition[] arrayOfDrawPosition(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawPosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DrawPosition[]

    - #### arrayOfSectionItem

          public static SectionItem[] arrayOfSectionItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SectionItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SectionItem[]

    - #### arrayOfArrowStyle

          public static ArrowStyle[] arrayOfArrowStyle(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ArrowStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ArrowStyle[]

    - #### arrayOfServiceTask

          public static ServiceTask[] arrayOfServiceTask(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ServiceTask` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.ServiceTask[]

    - #### arrayOfFormItemIcon

          public static FormItemIcon[] arrayOfFormItemIcon(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FormItemIcon` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.FormItemIcon[]

    - #### arrayOfHiddenItem

          public static HiddenItem[] arrayOfHiddenItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HiddenItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.HiddenItem[]

    - #### arrayOfListGrid

          public static ListGrid[] arrayOfListGrid(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListGrid` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.ListGrid[]

    - #### arrayOfFacetValue

          public static FacetValue[] arrayOfFacetValue(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FacetValue` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.cube.FacetValue[]

    - #### arrayOfSortArrow

          public static SortArrow[] arrayOfSortArrow(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SortArrow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SortArrow[]

    - #### arrayOfTimeDisplayFormat

          public static TimeDisplayFormat[] arrayOfTimeDisplayFormat(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TimeDisplayFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TimeDisplayFormat[]

    - #### arrayOfProcessValueType

          public static ProcessValueType[] arrayOfProcessValueType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ProcessValueType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ProcessValueType[]

    - #### arrayOfLineBreakStyle

          public static LineBreakStyle[] arrayOfLineBreakStyle(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LineBreakStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LineBreakStyle[]

    - #### arrayOfCubeGrid

          public static CubeGrid[] arrayOfCubeGrid(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CubeGrid` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.cube.CubeGrid[]

    - #### arrayOfRecordLayout

          public static RecordLayout[] arrayOfRecordLayout(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RecordLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RecordLayout[]

    - #### arrayOfIntegerItem

          public static IntegerItem[] arrayOfIntegerItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IntegerItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.IntegerItem[]

    - #### arrayOfRecordDropAppearance

          public static RecordDropAppearance[] arrayOfRecordDropAppearance(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RecordDropAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RecordDropAppearance[]

    - #### arrayOfFacetValueMap

          public static FacetValueMap[] arrayOfFacetValueMap(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FacetValueMap` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.cube.FacetValueMap[]

    - #### arrayOfFloatItem

          public static FloatItem[] arrayOfFloatItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FloatItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.FloatItem[]

    - #### arrayOfNavigationDirection

          public static NavigationDirection[] arrayOfNavigationDirection(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `NavigationDirection` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.NavigationDirection[]

    - #### arrayOfToolStripResizer

          public static ToolStripResizer[] arrayOfToolStripResizer(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripResizer` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.ToolStripResizer[]

    - #### arrayOfEditCompletionEvent

          public static EditCompletionEvent[] arrayOfEditCompletionEvent(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EditCompletionEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EditCompletionEvent[]

    - #### arrayOfWindow

          public static Window[] arrayOfWindow(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Window` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Window[]

    - #### arrayOfBlurbItem

          public static BlurbItem[] arrayOfBlurbItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `BlurbItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.BlurbItem[]

    - #### arrayOfDecisionGateway

          public static DecisionGateway[] arrayOfDecisionGateway(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DecisionGateway` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.DecisionGateway[]

    - #### arrayOfOperationBinding

          public static OperationBinding[] arrayOfOperationBinding(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `OperationBinding` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.OperationBinding[]

    - #### arrayOfColorStop

          public static ColorStop[] arrayOfColorStop(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ColorStop` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.ColorStop[]

    - #### arrayOfEditTree

          public static EditTree[] arrayOfEditTree(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EditTree` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.EditTree[]

    - #### arrayOfRangeSlider

          public static RangeSlider[] arrayOfRangeSlider(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RangeSlider` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.RangeSlider[]

    - #### arrayOfStatefulCanvas

          public static StatefulCanvas[] arrayOfStatefulCanvas(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StatefulCanvas` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.StatefulCanvas[]

    - #### arrayOfDSServerType

          public static DSServerType[] arrayOfDSServerType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSServerType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DSServerType[]

    - #### arrayOfLoadState

          public static LoadState[] arrayOfLoadState(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LoadState` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LoadState[]

    - #### arrayOfAutoComplete

          public static AutoComplete[] arrayOfAutoComplete(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AutoComplete` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AutoComplete[]

    - #### arrayOfNavigationButton

          public static NavigationButton[] arrayOfNavigationButton(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `NavigationButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.NavigationButton[]

    - #### arrayOfDrawDiamond

          public static DrawDiamond[] arrayOfDrawDiamond(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawDiamond` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawDiamond[]

    - #### arrayOfApplet

          public static Applet[] arrayOfApplet(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Applet` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.plugins.Applet[]

    - #### arrayOfJSONDateFormat

          public static JSONDateFormat[] arrayOfJSONDateFormat(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `JSONDateFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.JSONDateFormat[]

    - #### arrayOfLocatorStrategy

          public static LocatorStrategy[] arrayOfLocatorStrategy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LocatorStrategy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LocatorStrategy[]

    - #### arrayOfReorderPosition

          public static ReorderPosition[] arrayOfReorderPosition(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ReorderPosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ReorderPosition[]

    - #### arrayOfDrawGroup

          public static DrawGroup[] arrayOfDrawGroup(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawGroup` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawGroup[]

    - #### arrayOfSelectedAppearance

          public static SelectedAppearance[] arrayOfSelectedAppearance(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectedAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SelectedAppearance[]

    - #### arrayOfStandardControlGroup

          public static StandardControlGroup[] arrayOfStandardControlGroup(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StandardControlGroup` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.StandardControlGroup[]

    - #### arrayOfCriteriaPolicy

          public static CriteriaPolicy[] arrayOfCriteriaPolicy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CriteriaPolicy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.CriteriaPolicy[]

    - #### arrayOfJoinType

          public static JoinType[] arrayOfJoinType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `JoinType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.JoinType[]

    - #### arrayOfTabTitleEditEvent

          public static TabTitleEditEvent[] arrayOfTabTitleEditEvent(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TabTitleEditEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TabTitleEditEvent[]

    - #### arrayOfDrawShapeCommand

          public static DrawShapeCommand[] arrayOfDrawShapeCommand(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawShapeCommand` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawShapeCommand[]

    - #### arrayOfSendMethod

          public static SendMethod[] arrayOfSendMethod(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SendMethod` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SendMethod[]

    - #### arrayOfTableView

          public static TableView[] arrayOfTableView(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TableView` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tableview.TableView[]

    - #### arrayOfProcessSequence

          public static ProcessSequence[] arrayOfProcessSequence(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ProcessSequence` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.ProcessSequence[]

    - #### arrayOfIconButton

          public static IconButton[] arrayOfIconButton(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IconButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.IconButton[]

    - #### arrayOfFieldPicker

          public static FieldPicker[] arrayOfFieldPicker(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FieldPicker` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.FieldPicker[]

    - #### arrayOfResizeKnobPoint

          public static ResizeKnobPoint[] arrayOfResizeKnobPoint(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ResizeKnobPoint` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ResizeKnobPoint[]

    - #### arrayOfColorPicker

          public static ColorPicker[] arrayOfColorPicker(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ColorPicker` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.ColorPicker[]

    - #### arrayOfDateFieldLayout

          public static DateFieldLayout[] arrayOfDateFieldLayout(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateFieldLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DateFieldLayout[]

    - #### arrayOfGridRenderer

          public static GridRenderer[] arrayOfGridRenderer(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `GridRenderer` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.GridRenderer[]

    - #### arrayOfFormItemEditProxy

          public static FormItemEditProxy[] arrayOfFormItemEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FormItemEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.FormItemEditProxy[]

    - #### arrayOfSelectionTreeMenu

          public static SelectionTreeMenu[] arrayOfSelectionTreeMenu(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectionTreeMenu` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.SelectionTreeMenu[]

    - #### arrayOfHeaderLevel

          public static HeaderLevel[] arrayOfHeaderLevel(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HeaderLevel` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.HeaderLevel[]

    - #### arrayOfDSProtocol

          public static DSProtocol[] arrayOfDSProtocol(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSProtocol` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DSProtocol[]

    - #### arrayOfMultiComboBoxLayoutStyle

          public static MultiComboBoxLayoutStyle[] arrayOfMultiComboBoxLayoutStyle(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiComboBoxLayoutStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.MultiComboBoxLayoutStyle[]

    - #### arrayOfPrintWindow

          public static PrintWindow[] arrayOfPrintWindow(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PrintWindow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.PrintWindow[]

    - #### arrayOfPickTreeItem

          public static PickTreeItem[] arrayOfPickTreeItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PickTreeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.PickTreeItem[]

    - #### arrayOfDateChooser

          public static DateChooser[] arrayOfDateChooser(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateChooser` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.DateChooser[]

    - #### arrayOfDetailViewerField

          public static DetailViewerField[] arrayOfDetailViewerField(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerField` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.viewer.DetailViewerField[]

    - #### arrayOfHiddenPalette

          public static HiddenPalette[] arrayOfHiddenPalette(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HiddenPalette` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.HiddenPalette[]

    - #### arrayOfDSRequest

          public static DSRequest[] arrayOfDSRequest(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSRequest` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.DSRequest[]

    - #### arrayOfFireStyle

          public static FireStyle[] arrayOfFireStyle(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FireStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FireStyle[]

    - #### arrayOfDrawOval

          public static DrawOval[] arrayOfDrawOval(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawOval` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawOval[]

    - #### arrayOfFacet

          public static Facet[] arrayOfFacet(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Facet` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.cube.Facet[]

    - #### arrayOfPropertySheet

          public static PropertySheet[] arrayOfPropertySheet(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PropertySheet` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.PropertySheet[]

    - #### arrayOfLayoutResizeBarPolicy

          public static LayoutResizeBarPolicy[] arrayOfLayoutResizeBarPolicy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LayoutResizeBarPolicy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LayoutResizeBarPolicy[]

    - #### arrayOfState

          public static State[] arrayOfState(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `State` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.State[]

    - #### arrayOfScriptTask

          public static ScriptTask[] arrayOfScriptTask(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ScriptTask` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.ScriptTask[]

    - #### arrayOfTreeMenuButton

          public static TreeMenuButton[] arrayOfTreeMenuButton(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreeMenuButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.TreeMenuButton[]

    - #### arrayOfViewFileItem

          public static ViewFileItem[] arrayOfViewFileItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ViewFileItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ViewFileItem[]

    - #### arrayOfDateGrid

          public static DateGrid[] arrayOfDateGrid(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateGrid` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.DateGrid[]

    - #### arrayOfGaugeSector

          public static GaugeSector[] arrayOfGaugeSector(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `GaugeSector` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.GaugeSector[]

    - #### arrayOfImageStyle

          public static ImageStyle[] arrayOfImageStyle(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ImageStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ImageStyle[]

    - #### arrayOfAutoFitTextAreaItem

          public static AutoFitTextAreaItem[] arrayOfAutoFitTextAreaItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitTextAreaItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.AutoFitTextAreaItem[]

    - #### arrayOfDrawLinePath

          public static DrawLinePath[] arrayOfDrawLinePath(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawLinePath` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawLinePath[]

    - #### arrayOfImgButton

          public static ImgButton[] arrayOfImgButton(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ImgButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ImgButton[]

    - #### arrayOfToolStripButton

          public static ToolStripButton[] arrayOfToolStripButton(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.ToolStripButton[]

    - #### arrayOfHiliteRule

          public static HiliteRule[] arrayOfHiliteRule(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HiliteRule` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.HiliteRule[]

    - #### arrayOfDateRangeDialog

          public static DateRangeDialog[] arrayOfDateRangeDialog(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateRangeDialog` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.DateRangeDialog[]

    - #### arrayOfJSONInstanceSerializationMode

          public static JSONInstanceSerializationMode[] arrayOfJSONInstanceSerializationMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `JSONInstanceSerializationMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.JSONInstanceSerializationMode[]

    - #### arrayOfAnimationEffect

          public static AnimationEffect[] arrayOfAnimationEffect(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AnimationEffect` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AnimationEffect[]

    - #### arrayOfTileRecord

          public static TileRecord[] arrayOfTileRecord(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TileRecord` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tile.TileRecord[]

    - #### arrayOfFileItem

          public static FileItem[] arrayOfFileItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FileItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.FileItem[]

    - #### arrayOfAutoFitIconFieldType

          public static AutoFitIconFieldType[] arrayOfAutoFitIconFieldType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitIconFieldType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AutoFitIconFieldType[]

    - #### arrayOfDrawShape

          public static DrawShape[] arrayOfDrawShape(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawShape` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawShape[]

    - #### arrayOfConnectorStyle

          public static ConnectorStyle[] arrayOfConnectorStyle(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ConnectorStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ConnectorStyle[]

    - #### arrayOfSummaryFunctionType

          public static SummaryFunctionType[] arrayOfSummaryFunctionType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SummaryFunctionType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SummaryFunctionType[]

    - #### arrayOfDrawPaneEditProxy

          public static DrawPaneEditProxy[] arrayOfDrawPaneEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawPaneEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.DrawPaneEditProxy[]

    - #### arrayOfLabelEditProxy

          public static LabelEditProxy[] arrayOfLabelEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LabelEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.LabelEditProxy[]

    - #### arrayOfDSDataFormat

          public static DSDataFormat[] arrayOfDSDataFormat(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSDataFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DSDataFormat[]

    - #### arrayOfCellSelection

          public static CellSelection[] arrayOfCellSelection(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CellSelection` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.CellSelection[]

    - #### arrayOfCanvas

          public static Canvas[] arrayOfCanvas(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Canvas` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Canvas[]

    - #### arrayOfSVG

          public static SVG[] arrayOfSVG(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SVG` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.plugins.SVG[]

    - #### arrayOfTree

          public static Tree[] arrayOfTree(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Tree` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tree.Tree[]

    - #### arrayOfSQLPagingStrategy

          public static SQLPagingStrategy[] arrayOfSQLPagingStrategy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SQLPagingStrategy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SQLPagingStrategy[]

    - #### arrayOfRowSpacerItem

          public static RowSpacerItem[] arrayOfRowSpacerItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RowSpacerItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.RowSpacerItem[]

    - #### arrayOfRowSpanSelectionMode

          public static RowSpanSelectionMode[] arrayOfRowSpanSelectionMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RowSpanSelectionMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RowSpanSelectionMode[]

    - #### arrayOfResultTree

          public static ResultTree[] arrayOfResultTree(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ResultTree` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tree.ResultTree[]

    - #### arrayOfImgProperties

          public static ImgProperties[] arrayOfImgProperties(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ImgProperties` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ImgProperties[]

    - #### arrayOfMultiComboBoxItem

          public static MultiComboBoxItem[] arrayOfMultiComboBoxItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiComboBoxItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.MultiComboBoxItem[]

    - #### arrayOfPalette

          public static Palette[] arrayOfPalette(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Palette` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.Palette[]

    - #### arrayOfRecategorizeMode

          public static RecategorizeMode[] arrayOfRecategorizeMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RecategorizeMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RecategorizeMode[]

    - #### arrayOfXORGateway

          public static XORGateway[] arrayOfXORGateway(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `XORGateway` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.XORGateway[]

    - #### arrayOfCanvasItem

          public static CanvasItem[] arrayOfCanvasItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CanvasItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.CanvasItem[]

    - #### arrayOfEditProxy

          public static EditProxy[] arrayOfEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.EditProxy[]

    - #### arrayOfHeaderItem

          public static HeaderItem[] arrayOfHeaderItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HeaderItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.HeaderItem[]

    - #### arrayOfExpansionMode

          public static ExpansionMode[] arrayOfExpansionMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ExpansionMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ExpansionMode[]

    - #### arrayOfListGridRecord

          public static ListGridRecord[] arrayOfListGridRecord(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListGridRecord` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.ListGridRecord[]

    - #### arrayOfOverflow

          public static Overflow[] arrayOfOverflow(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Overflow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Overflow[]

    - #### arrayOfMenuBar

          public static MenuBar[] arrayOfMenuBar(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MenuBar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.MenuBar[]

    - #### arrayOfScrollbar

          public static Scrollbar[] arrayOfScrollbar(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Scrollbar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Scrollbar[]

    - #### arrayOfBatchUploader

          public static BatchUploader[] arrayOfBatchUploader(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `BatchUploader` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.BatchUploader[]

    - #### arrayOfDateRangeItem

          public static DateRangeItem[] arrayOfDateRangeItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateRangeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.DateRangeItem[]

    - #### arrayOfRadialGradient

          public static RadialGradient[] arrayOfRadialGradient(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RadialGradient` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.RadialGradient[]

    - #### arrayOfCriteriaCombineOperator

          public static CriteriaCombineOperator[] arrayOfCriteriaCombineOperator(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CriteriaCombineOperator` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.CriteriaCombineOperator[]

    - #### arrayOfDeviceMode

          public static DeviceMode[] arrayOfDeviceMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DeviceMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DeviceMode[]

    - #### arrayOfListGridEditEvent

          public static ListGridEditEvent[] arrayOfListGridEditEvent(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListGridEditEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ListGridEditEvent[]

    - #### arrayOfFieldType

          public static FieldType[] arrayOfFieldType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FieldType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FieldType[]

    - #### arrayOfExportImageFormat

          public static ExportImageFormat[] arrayOfExportImageFormat(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ExportImageFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ExportImageFormat[]

    - #### arrayOfDisplayNodeType

          public static DisplayNodeType[] arrayOfDisplayNodeType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DisplayNodeType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DisplayNodeType[]

    - #### arrayOfTileLayout

          public static TileLayout[] arrayOfTileLayout(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TileLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tile.TileLayout[]

    - #### arrayOfValidator

          public static Validator[] arrayOfValidator(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Validator` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.validator.Validator[]

    - #### arrayOfFormMethod

          public static FormMethod[] arrayOfFormMethod(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FormMethod` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FormMethod[]

    - #### arrayOfSlider

          public static Slider[] arrayOfSlider(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Slider` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Slider[]

    - #### arrayOfMenuEditProxy

          public static MenuEditProxy[] arrayOfMenuEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MenuEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.MenuEditProxy[]

    - #### arrayOfFiscalYearMode

          public static FiscalYearMode[] arrayOfFiscalYearMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FiscalYearMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FiscalYearMode[]

    - #### arrayOfPoint

          public static Point[] arrayOfPoint(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Point` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.Point[]

    - #### arrayOfRecord

          public static Record[] arrayOfRecord(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Record` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.Record[]

    - #### arrayOfProgressbar

          public static Progressbar[] arrayOfProgressbar(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Progressbar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Progressbar[]

    - #### arrayOfTextItem

          public static TextItem[] arrayOfTextItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.TextItem[]

    - #### arrayOfEditPane

          public static EditPane[] arrayOfEditPane(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EditPane` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.EditPane[]

    - #### arrayOfProportionalResizeMode

          public static ProportionalResizeMode[] arrayOfProportionalResizeMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ProportionalResizeMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ProportionalResizeMode[]

    - #### arrayOfTitleOrientation

          public static TitleOrientation[] arrayOfTitleOrientation(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TitleOrientation` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TitleOrientation[]

    - #### arrayOfTabSetEditProxy

          public static TabSetEditProxy[] arrayOfTabSetEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TabSetEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.TabSetEditProxy[]

    - #### arrayOfOrientation

          public static Orientation[] arrayOfOrientation(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Orientation` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Orientation[]

    - #### arrayOfDetailViewer

          public static DetailViewer[] arrayOfDetailViewer(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewer` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.viewer.DetailViewer[]

    - #### arrayOfFilterClause

          public static FilterClause[] arrayOfFilterClause(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FilterClause` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.FilterClause[]

    - #### arrayOfSerializationSettings

          public static SerializationSettings[] arrayOfSerializationSettings(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SerializationSettings` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.SerializationSettings[]

    - #### arrayOfFlashlet

          public static Flashlet[] arrayOfFlashlet(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Flashlet` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.plugins.Flashlet[]

    - #### arrayOfProgressbarEditProxy

          public static ProgressbarEditProxy[] arrayOfProgressbarEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ProgressbarEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.ProgressbarEditProxy[]

    - #### arrayOfTextItemEditProxy

          public static TextItemEditProxy[] arrayOfTextItemEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextItemEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.TextItemEditProxy[]

    - #### arrayOfUserFormula

          public static UserFormula[] arrayOfUserFormula(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `UserFormula` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.UserFormula[]

    - #### arrayOfSectionHeader

          public static SectionHeader[] arrayOfSectionHeader(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SectionHeader` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.SectionHeader[]

    - #### arrayOfRelativeDateRangePosition

          public static RelativeDateRangePosition[] arrayOfRelativeDateRangePosition(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDateRangePosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RelativeDateRangePosition[]

    - #### arrayOfToolStrip

          public static ToolStrip[] arrayOfToolStrip(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolStrip` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.ToolStrip[]

    - #### arrayOfRibbonGroup

          public static RibbonGroup[] arrayOfRibbonGroup(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RibbonGroup` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.RibbonGroup[]

    - #### arrayOfMoveKnobPoint

          public static MoveKnobPoint[] arrayOfMoveKnobPoint(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MoveKnobPoint` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.MoveKnobPoint[]

    - #### arrayOfTask

          public static Task[] arrayOfTask(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Task` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.Task[]

    - #### arrayOfHilite

          public static Hilite[] arrayOfHilite(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Hilite` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.Hilite[]

    - #### arrayOfViewLoader

          public static ViewLoader[] arrayOfViewLoader(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ViewLoader` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ViewLoader[]

    - #### arrayOfLogPriority

          public static LogPriority[] arrayOfLogPriority(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LogPriority` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LogPriority[]

    - #### arrayOfExpansionComponentPoolingMode

          public static ExpansionComponentPoolingMode[] arrayOfExpansionComponentPoolingMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ExpansionComponentPoolingMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ExpansionComponentPoolingMode[]

    - #### arrayOfMiniNavControl

          public static MiniNavControl[] arrayOfMiniNavControl(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MiniNavControl` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.MiniNavControl[]

    - #### arrayOfPasswordItem

          public static PasswordItem[] arrayOfPasswordItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PasswordItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.PasswordItem[]

    - #### arrayOfStaticTextItem

          public static StaticTextItem[] arrayOfStaticTextItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StaticTextItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.StaticTextItem[]

    - #### arrayOfDrawRect

          public static DrawRect[] arrayOfDrawRect(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawRect` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawRect[]

    - #### arrayOfUserTask

          public static UserTask[] arrayOfUserTask(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `UserTask` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.UserTask[]

    - #### arrayOfMultiGroupDialog

          public static MultiGroupDialog[] arrayOfMultiGroupDialog(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiGroupDialog` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.MultiGroupDialog[]

    - #### arrayOfVisibility

          public static Visibility[] arrayOfVisibility(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Visibility` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Visibility[]

    - #### arrayOfFlowLayout

          public static FlowLayout[] arrayOfFlowLayout(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FlowLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.FlowLayout[]

    - #### arrayOfDrawPolygon

          public static DrawPolygon[] arrayOfDrawPolygon(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawPolygon` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawPolygon[]

    - #### arrayOfForceTextApproach

          public static ForceTextApproach[] arrayOfForceTextApproach(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ForceTextApproach` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ForceTextApproach[]

    - #### arrayOfGauge

          public static Gauge[] arrayOfGauge(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Gauge` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.Gauge[]

    - #### arrayOfAdvancedHiliteEditor

          public static AdvancedHiliteEditor[] arrayOfAdvancedHiliteEditor(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AdvancedHiliteEditor` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.AdvancedHiliteEditor[]

    - #### arrayOfSectionStackSection

          public static SectionStackSection[] arrayOfSectionStackSection(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SectionStackSection` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.SectionStackSection[]

    - #### arrayOfKeyIdentifier

          public static KeyIdentifier[] arrayOfKeyIdentifier(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `KeyIdentifier` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.core.KeyIdentifier[]

    - #### arrayOfButton

          public static Button[] arrayOfButton(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Button` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Button[]

    - #### arrayOfEnumTranslateStrategy

          public static EnumTranslateStrategy[] arrayOfEnumTranslateStrategy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EnumTranslateStrategy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EnumTranslateStrategy[]

    - #### arrayOfContentsType

          public static ContentsType[] arrayOfContentsType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ContentsType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ContentsType[]

    - #### arrayOfEdgeName

          public static EdgeName[] arrayOfEdgeName(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EdgeName` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EdgeName[]

    - #### arrayOfHeaderSpan

          public static HeaderSpan[] arrayOfHeaderSpan(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HeaderSpan` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.HeaderSpan[]

    - #### arrayOfTreeFilterMode

          public static TreeFilterMode[] arrayOfTreeFilterMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreeFilterMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TreeFilterMode[]

    - #### arrayOfCalendar

          public static Calendar[] arrayOfCalendar(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Calendar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.Calendar[]

    - #### arrayOfPrintProperties

          public static PrintProperties[] arrayOfPrintProperties(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PrintProperties` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.PrintProperties[]

    - #### arrayOfSelectionType

          public static SelectionType[] arrayOfSelectionType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectionType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SelectionType[]

    - #### arrayOfSnapbar

          public static Snapbar[] arrayOfSnapbar(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Snapbar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Snapbar[]

    - #### arrayOfColorPickerItem

          public static ColorPickerItem[] arrayOfColorPickerItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ColorPickerItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ColorPickerItem[]

    - #### arrayOfTileLayoutPolicy

          public static TileLayoutPolicy[] arrayOfTileLayoutPolicy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TileLayoutPolicy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TileLayoutPolicy[]

    - #### arrayOfDrawPane

          public static DrawPane[] arrayOfDrawPane(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawPane` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawPane[]

    - #### arrayOfSelectItemEditProxy

          public static SelectItemEditProxy[] arrayOfSelectItemEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectItemEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.SelectItemEditProxy[]

    - #### arrayOfEmbeddedPosition

          public static EmbeddedPosition[] arrayOfEmbeddedPosition(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EmbeddedPosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EmbeddedPosition[]

    - #### arrayOfDSResponse

          public static DSResponse[] arrayOfDSResponse(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSResponse` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.DSResponse[]

    - #### arrayOfSectionStackEditProxy

          public static SectionStackEditProxy[] arrayOfSectionStackEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SectionStackEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.SectionStackEditProxy[]

    - #### arrayOfFilterBuilder

          public static FilterBuilder[] arrayOfFilterBuilder(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FilterBuilder` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.FilterBuilder[]

    - #### arrayOfDrawSector

          public static DrawSector[] arrayOfDrawSector(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawSector` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawSector[]

    - #### arrayOfEncoding

          public static Encoding[] arrayOfEncoding(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Encoding` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Encoding[]

    - #### arrayOfOperatorId

          public static OperatorId[] arrayOfOperatorId(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `OperatorId` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.OperatorId[]

    - #### arrayOfDrawLabelEditProxy

          public static DrawLabelEditProxy[] arrayOfDrawLabelEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawLabelEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.DrawLabelEditProxy[]

    - #### arrayOfDrawPath

          public static DrawPath[] arrayOfDrawPath(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawPath` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawPath[]

    - #### arrayOfTreeGridField

          public static TreeGridField[] arrayOfTreeGridField(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreeGridField` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tree.TreeGridField[]

    - #### arrayOfListGridFieldType

          public static ListGridFieldType[] arrayOfListGridFieldType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListGridFieldType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ListGridFieldType[]

    - #### arrayOfDrawnValue

          public static DrawnValue[] arrayOfDrawnValue(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawnValue` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.chart.DrawnValue[]

    - #### arrayOfAutofit

          public static Autofit[] arrayOfAutofit(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Autofit` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Autofit[]

    - #### arrayOfDateItemEditProxy

          public static DateItemEditProxy[] arrayOfDateItemEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateItemEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.DateItemEditProxy[]

    - #### arrayOfMetricSettings

          public static MetricSettings[] arrayOfMetricSettings(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MetricSettings` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.chart.MetricSettings[]

    - #### arrayOfImgSplitbar

          public static ImgSplitbar[] arrayOfImgSplitbar(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ImgSplitbar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.ImgSplitbar[]

    - #### arrayOfHoopSelectionStyle

          public static HoopSelectionStyle[] arrayOfHoopSelectionStyle(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HoopSelectionStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.HoopSelectionStyle[]

    - #### arrayOfSelected

          public static Selected[] arrayOfSelected(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Selected` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Selected[]

    - #### arrayOfComboBoxItem

          public static ComboBoxItem[] arrayOfComboBoxItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ComboBoxItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ComboBoxItem[]

    - #### arrayOfControlName

          public static ControlName[] arrayOfControlName(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ControlName` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ControlName[]

    - #### arrayOfLayoutSpacer

          public static LayoutSpacer[] arrayOfLayoutSpacer(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LayoutSpacer` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.LayoutSpacer[]

    - #### arrayOfSimpleTile

          public static SimpleTile[] arrayOfSimpleTile(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SimpleTile` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tile.SimpleTile[]

    - #### arrayOfGridEditProxy

          public static GridEditProxy[] arrayOfGridEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `GridEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.GridEditProxy[]

    - #### arrayOfFacetChartEditProxy

          public static FacetChartEditProxy[] arrayOfFacetChartEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FacetChartEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.FacetChartEditProxy[]

    - #### arrayOfDrawLine

          public static DrawLine[] arrayOfDrawLine(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawLine` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawLine[]

    - #### arrayOfDrawCurve

          public static DrawCurve[] arrayOfDrawCurve(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawCurve` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawCurve[]

    - #### arrayOfHTMLFlow

          public static HTMLFlow[] arrayOfHTMLFlow(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HTMLFlow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.HTMLFlow[]

    - #### arrayOfRPCTransport

          public static RPCTransport[] arrayOfRPCTransport(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RPCTransport` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RPCTransport[]

    - #### arrayOfHStack

          public static HStack[] arrayOfHStack(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HStack` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.HStack[]

    - #### arrayOfReadOnlyDisplayAppearance

          public static ReadOnlyDisplayAppearance[] arrayOfReadOnlyDisplayAppearance(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ReadOnlyDisplayAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ReadOnlyDisplayAppearance[]

    - #### arrayOfTileGrid

          public static TileGrid[] arrayOfTileGrid(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TileGrid` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tile.TileGrid[]

    - #### arrayOfCellRecord

          public static CellRecord[] arrayOfCellRecord(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CellRecord` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.cube.CellRecord[]

    - #### arrayOfPageEvent

          public static PageEvent[] arrayOfPageEvent(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PageEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PageEvent[]

    - #### arrayOfDragMaskType

          public static DragMaskType[] arrayOfDragMaskType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DragMaskType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DragMaskType[]

    - #### arrayOfSortDirection

          public static SortDirection[] arrayOfSortDirection(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SortDirection` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SortDirection[]

    - #### arrayOfTimeUnit

          public static TimeUnit[] arrayOfTimeUnit(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TimeUnit` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TimeUnit[]

    - #### arrayOfCalendarEvent

          public static CalendarEvent[] arrayOfCalendarEvent(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CalendarEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.CalendarEvent[]

    - #### arrayOfColorItem

          public static ColorItem[] arrayOfColorItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ColorItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ColorItem[]

    - #### arrayOfDrawImage

          public static DrawImage[] arrayOfDrawImage(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawImage` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawImage[]

    - #### arrayOfCurrentPane

          public static CurrentPane[] arrayOfCurrentPane(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CurrentPane` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.CurrentPane[]

    - #### arrayOfTilePalette

          public static TilePalette[] arrayOfTilePalette(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TilePalette` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.TilePalette[]

    - #### arrayOfSubmitItem

          public static SubmitItem[] arrayOfSubmitItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SubmitItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SubmitItem[]

    - #### arrayOfJSONEncoder

          public static JSONEncoder[] arrayOfJSONEncoder(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `JSONEncoder` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.JSONEncoder[]

    - #### arrayOfSelectItem

          public static SelectItem[] arrayOfSelectItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SelectItem[]

    - #### arrayOfIconMenuButton

          public static IconMenuButton[] arrayOfIconMenuButton(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IconMenuButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.IconMenuButton[]

    - #### arrayOfSpacerItem

          public static SpacerItem[] arrayOfSpacerItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SpacerItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SpacerItem[]

    - #### arrayOfDateDisplayFormat

          public static DateDisplayFormat[] arrayOfDateDisplayFormat(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateDisplayFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DateDisplayFormat[]

    - #### arrayOfSyntaxHiliter

          public static SyntaxHiliter[] arrayOfSyntaxHiliter(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SyntaxHiliter` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.SyntaxHiliter[]

    - #### arrayOfSelectionBoundary

          public static SelectionBoundary[] arrayOfSelectionBoundary(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectionBoundary` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SelectionBoundary[]

    - #### arrayOfWindowEditProxy

          public static WindowEditProxy[] arrayOfWindowEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `WindowEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.WindowEditProxy[]

    - #### arrayOfRelativeDateItem

          public static RelativeDateItem[] arrayOfRelativeDateItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDateItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.RelativeDateItem[]

    - #### arrayOfAxis

          public static Axis[] arrayOfAxis(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Axis` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Axis[]

    - #### arrayOfStatefulCanvasEditProxy

          public static StatefulCanvasEditProxy[] arrayOfStatefulCanvasEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StatefulCanvasEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.StatefulCanvasEditProxy[]

    - #### arrayOfLinkItem

          public static LinkItem[] arrayOfLinkItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LinkItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.LinkItem[]

    - #### arrayOfAutoFitEvent

          public static AutoFitEvent[] arrayOfAutoFitEvent(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AutoFitEvent[]

    - #### arrayOfTimeItem

          public static TimeItem[] arrayOfTimeItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TimeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.TimeItem[]

    - #### arrayOfPresetDateRangeItem

          public static PresetDateRangeItem[] arrayOfPresetDateRangeItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PresetDateRangeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.PresetDateRangeItem[]

    - #### arrayOfColumnTree

          public static ColumnTree[] arrayOfColumnTree(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ColumnTree` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.ColumnTree[]

    - #### arrayOfDateEditingStyle

          public static DateEditingStyle[] arrayOfDateEditingStyle(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateEditingStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DateEditingStyle[]

    - #### arrayOfActiveXControl

          public static ActiveXControl[] arrayOfActiveXControl(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ActiveXControl` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.plugins.ActiveXControl[]

    - #### arrayOfNavigationBar

          public static NavigationBar[] arrayOfNavigationBar(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `NavigationBar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.NavigationBar[]

    - #### arrayOfFetchMode

          public static FetchMode[] arrayOfFetchMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FetchMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FetchMode[]

    - #### arrayOfDragTrackerMode

          public static DragTrackerMode[] arrayOfDragTrackerMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DragTrackerMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DragTrackerMode[]

    - #### arrayOfZoomStartPosition

          public static ZoomStartPosition[] arrayOfZoomStartPosition(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ZoomStartPosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ZoomStartPosition[]

    - #### arrayOfHLayout

          public static HLayout[] arrayOfHLayout(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.HLayout[]

    - #### arrayOfDetailViewerRecord

          public static DetailViewerRecord[] arrayOfDetailViewerRecord(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerRecord` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.viewer.DetailViewerRecord[]

    - #### arrayOfSimpleGradient

          public static SimpleGradient[] arrayOfSimpleGradient(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SimpleGradient` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.SimpleGradient[]

    - #### arrayOfDetailViewerEditProxy

          public static DetailViewerEditProxy[] arrayOfDetailViewerEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.DetailViewerEditProxy[]

    - #### arrayOfSelectionStyle

          public static SelectionStyle[] arrayOfSelectionStyle(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectionStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SelectionStyle[]

    - #### arrayOfSplitPaneEditProxy

          public static SplitPaneEditProxy[] arrayOfSplitPaneEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SplitPaneEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.SplitPaneEditProxy[]

    - #### arrayOfFileSpec

          public static FileSpec[] arrayOfFileSpec(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FileSpec` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.FileSpec[]

    - #### arrayOfLabelRotationMode

          public static LabelRotationMode[] arrayOfLabelRotationMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LabelRotationMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LabelRotationMode[]

    - #### arrayOfTextMatchStyle

          public static TextMatchStyle[] arrayOfTextMatchStyle(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextMatchStyle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TextMatchStyle[]

    - #### arrayOfPercentBoxModel

          public static PercentBoxModel[] arrayOfPercentBoxModel(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PercentBoxModel` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PercentBoxModel[]

    - #### arrayOfTreeNode

          public static TreeNode[] arrayOfTreeNode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreeNode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tree.TreeNode[]

    - #### arrayOfFacetChart

          public static FacetChart[] arrayOfFacetChart(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FacetChart` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.chart.FacetChart[]

    - #### arrayOfHoverMode

          public static HoverMode[] arrayOfHoverMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HoverMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.HoverMode[]

    - #### arrayOfExportDisplay

          public static ExportDisplay[] arrayOfExportDisplay(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ExportDisplay` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ExportDisplay[]

    - #### arrayOfRowSpanEditMode

          public static RowSpanEditMode[] arrayOfRowSpanEditMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RowSpanEditMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RowSpanEditMode[]

    - #### arrayOfVisibilityMode

          public static VisibilityMode[] arrayOfVisibilityMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `VisibilityMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.VisibilityMode[]

    - #### arrayOfPreserveOpenState

          public static PreserveOpenState[] arrayOfPreserveOpenState(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PreserveOpenState` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PreserveOpenState[]

    - #### arrayOfSide

          public static Side[] arrayOfSide(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Side` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Side[]

    - #### arrayOfSimpleType

          public static SimpleType[] arrayOfSimpleType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SimpleType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.SimpleType[]

    - #### arrayOfToolStripSeparator

          public static ToolStripSeparator[] arrayOfToolStripSeparator(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripSeparator` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.ToolStripSeparator[]

    - #### arrayOfStretchImgButton

          public static StretchImgButton[] arrayOfStretchImgButton(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StretchImgButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.StretchImgButton[]

    - #### arrayOfHashAlgorithm

          public static HashAlgorithm[] arrayOfHashAlgorithm(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HashAlgorithm` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.HashAlgorithm[]

    - #### arrayOfMultipleFieldStorage

          public static MultipleFieldStorage[] arrayOfMultipleFieldStorage(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultipleFieldStorage` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.MultipleFieldStorage[]

    - #### arrayOfClickMaskMode

          public static ClickMaskMode[] arrayOfClickMaskMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ClickMaskMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ClickMaskMode[]

    - #### arrayOfLinePattern

          public static LinePattern[] arrayOfLinePattern(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LinePattern` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LinePattern[]

    - #### arrayOfMiniDateRangeItem

          public static MiniDateRangeItem[] arrayOfMiniDateRangeItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MiniDateRangeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.MiniDateRangeItem[]

    - #### arrayOfUploadItem

          public static UploadItem[] arrayOfUploadItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `UploadItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.UploadItem[]

    - #### arrayOfViewName

          public static ViewName[] arrayOfViewName(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ViewName` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ViewName[]

    - #### arrayOfRecordComponentPoolingMode

          public static RecordComponentPoolingMode[] arrayOfRecordComponentPoolingMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RecordComponentPoolingMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RecordComponentPoolingMode[]

    - #### arrayOfStateTask

          public static StateTask[] arrayOfStateTask(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StateTask` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.StateTask[]

    - #### arrayOfLane

          public static Lane[] arrayOfLane(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Lane` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.Lane[]

    - #### arrayOfRecordSummaryFunctionType

          public static RecordSummaryFunctionType[] arrayOfRecordSummaryFunctionType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RecordSummaryFunctionType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RecordSummaryFunctionType[]

    - #### arrayOfPositioning

          public static Positioning[] arrayOfPositioning(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Positioning` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Positioning[]

    - #### arrayOfDefaultSampleRecord

          public static DefaultSampleRecord[] arrayOfDefaultSampleRecord(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DefaultSampleRecord` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DefaultSampleRecord[]

    - #### arrayOfToolStripGroup

          public static ToolStripGroup[] arrayOfToolStripGroup(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripGroup` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.ToolStripGroup[]

    - #### arrayOfNativeCheckboxItem

          public static NativeCheckboxItem[] arrayOfNativeCheckboxItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `NativeCheckboxItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.NativeCheckboxItem[]

    - #### arrayOfMenuPalette

          public static MenuPalette[] arrayOfMenuPalette(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MenuPalette` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.MenuPalette[]

    - #### arrayOfIPickTreeItem

          public static IPickTreeItem[] arrayOfIPickTreeItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IPickTreeItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.IPickTreeItem[]

    - #### arrayOfSelectOtherItem

          public static SelectOtherItem[] arrayOfSelectOtherItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectOtherItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SelectOtherItem[]

    - #### arrayOfPointShape

          public static PointShape[] arrayOfPointShape(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PointShape` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PointShape[]

    - #### arrayOfRegressionLineType

          public static RegressionLineType[] arrayOfRegressionLineType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RegressionLineType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RegressionLineType[]

    - #### arrayOfSortSpecifier

          public static SortSpecifier[] arrayOfSortSpecifier(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SortSpecifier` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.SortSpecifier[]

    - #### arrayOfToolStripMenuButton

          public static ToolStripMenuButton[] arrayOfToolStripMenuButton(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripMenuButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.toolbar.ToolStripMenuButton[]

    - #### arrayOfWSDataSource

          public static WSDataSource[] arrayOfWSDataSource(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `WSDataSource` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.WSDataSource[]

    - #### arrayOfRecordDropPosition

          public static RecordDropPosition[] arrayOfRecordDropPosition(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RecordDropPosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RecordDropPosition[]

    - #### arrayOfGradient

          public static Gradient[] arrayOfGradient(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Gradient` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.Gradient[]

    - #### arrayOfDialogButtons

          public static DialogButtons[] arrayOfDialogButtons(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DialogButtons` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DialogButtons[]

    - #### arrayOfTextAreaItemEditProxy

          public static TextAreaItemEditProxy[] arrayOfTextAreaItemEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaItemEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.TextAreaItemEditProxy[]

    - #### arrayOfRichTextEditor

          public static RichTextEditor[] arrayOfRichTextEditor(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RichTextEditor` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.RichTextEditor[]

    - #### arrayOfCalendarView

          public static CalendarView[] arrayOfCalendarView(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CalendarView` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.CalendarView[]

    - #### arrayOfHiliteIconPosition

          public static HiliteIconPosition[] arrayOfHiliteIconPosition(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HiliteIconPosition` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.HiliteIconPosition[]

    - #### arrayOfTab

          public static Tab[] arrayOfTab(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Tab` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tab.Tab[]

    - #### arrayOfCriterion

          public static Criterion[] arrayOfCriterion(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Criterion` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.Criterion[]

    - #### arrayOfOperatorValueType

          public static OperatorValueType[] arrayOfOperatorValueType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `OperatorValueType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.OperatorValueType[]

    - #### arrayOfMultiFileItem

          public static MultiFileItem[] arrayOfMultiFileItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiFileItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.MultiFileItem[]

    - #### arrayOfChartType

          public static ChartType[] arrayOfChartType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ChartType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ChartType[]

    - #### arrayOfTreeGrid

          public static TreeGrid[] arrayOfTreeGrid(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreeGrid` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tree.TreeGrid[]

    - #### arrayOfTabSet

          public static TabSet[] arrayOfTabSet(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TabSet` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tab.TabSet[]

    - #### arrayOfDateItem

          public static DateItem[] arrayOfDateItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.DateItem[]

    - #### arrayOfValidatorType

          public static ValidatorType[] arrayOfValidatorType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ValidatorType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ValidatorType[]

    - #### arrayOfShadow

          public static Shadow[] arrayOfShadow(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Shadow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.Shadow[]

    - #### arrayOfEventWindow

          public static EventWindow[] arrayOfEventWindow(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EventWindow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.EventWindow[]

    - #### arrayOfVLayout

          public static VLayout[] arrayOfVLayout(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `VLayout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.VLayout[]

    - #### arrayOfLayoutPolicy

          public static LayoutPolicy[] arrayOfLayoutPolicy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LayoutPolicy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LayoutPolicy[]

    - #### arrayOfListPropertiesPane

          public static ListPropertiesPane[] arrayOfListPropertiesPane(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListPropertiesPane` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.rte.ListPropertiesPane[]

    - #### arrayOfDragAppearance

          public static DragAppearance[] arrayOfDragAppearance(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DragAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DragAppearance[]

    - #### arrayOfAnimateShowEffect

          public static AnimateShowEffect[] arrayOfAnimateShowEffect(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AnimateShowEffect` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.AnimateShowEffect[]

    - #### arrayOfEnterKeyEditAction

          public static EnterKeyEditAction[] arrayOfEnterKeyEditAction(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EnterKeyEditAction` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EnterKeyEditAction[]

    - #### arrayOfFormItemType

          public static FormItemType[] arrayOfFormItemType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FormItemType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FormItemType[]

    - #### arrayOfStretchItem

          public static StretchItem[] arrayOfStretchItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StretchItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.StretchItem[]

    - #### arrayOfGroupStartOpen

          public static GroupStartOpen[] arrayOfGroupStartOpen(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `GroupStartOpen` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.GroupStartOpen[]

    - #### arrayOfTableMode

          public static TableMode[] arrayOfTableMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TableMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TableMode[]

    - #### arrayOfSpinnerItem

          public static SpinnerItem[] arrayOfSpinnerItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SpinnerItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SpinnerItem[]

    - #### arrayOfSelectItemsMode

          public static SelectItemsMode[] arrayOfSelectItemsMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectItemsMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SelectItemsMode[]

    - #### arrayOfLocatorTypeStrategy

          public static LocatorTypeStrategy[] arrayOfLocatorTypeStrategy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `LocatorTypeStrategy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.LocatorTypeStrategy[]

    - #### arrayOfRPCResponse

          public static RPCResponse[] arrayOfRPCResponse(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RPCResponse` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.rpc.RPCResponse[]

    - #### arrayOfDynamicForm

          public static DynamicForm[] arrayOfDynamicForm(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DynamicForm` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.DynamicForm[]

    - #### arrayOfButtonItem

          public static ButtonItem[] arrayOfButtonItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ButtonItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ButtonItem[]

    - #### arrayOfMenu

          public static Menu[] arrayOfMenu(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Menu` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.Menu[]

    - #### arrayOfListPalette

          public static ListPalette[] arrayOfListPalette(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListPalette` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.ListPalette[]

    - #### arrayOfDrawItem

          public static DrawItem[] arrayOfDrawItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawItem[]

    - #### arrayOfMenuButton

          public static MenuButton[] arrayOfMenuButton(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MenuButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.MenuButton[]

    - #### arrayOfBrowserPlugin

          public static BrowserPlugin[] arrayOfBrowserPlugin(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `BrowserPlugin` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.plugins.BrowserPlugin[]

    - #### arrayOfDrawKnob

          public static DrawKnob[] arrayOfDrawKnob(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawKnob` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawKnob[]

    - #### arrayOfHTMLPane

          public static HTMLPane[] arrayOfHTMLPane(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HTMLPane` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.HTMLPane[]

    - #### arrayOfXMLSyntaxHiliter

          public static XMLSyntaxHiliter[] arrayOfXMLSyntaxHiliter(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `XMLSyntaxHiliter` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.XMLSyntaxHiliter[]

    - #### arrayOfDateItemSelectorFormat

          public static DateItemSelectorFormat[] arrayOfDateItemSelectorFormat(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DateItemSelectorFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DateItemSelectorFormat[]

    - #### arrayOfAutoSelectionModel

          public static AutoSelectionModel[] arrayOfAutoSelectionModel(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AutoSelectionModel` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AutoSelectionModel[]

    - #### arrayOfPickListItemIconPlacement

          public static PickListItemIconPlacement[] arrayOfPickListItemIconPlacement(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PickListItemIconPlacement` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PickListItemIconPlacement[]

    - #### arrayOfImg

          public static Img[] arrayOfImg(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Img` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Img[]

    - #### arrayOfInlineEditEvent

          public static InlineEditEvent[] arrayOfInlineEditEvent(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `InlineEditEvent` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.InlineEditEvent[]

    - #### arrayOfTabBar

          public static TabBar[] arrayOfTabBar(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TabBar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.tab.TabBar[]

    - #### arrayOfListProperties

          public static ListProperties[] arrayOfListProperties(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListProperties` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.rte.ListProperties[]

    - #### arrayOfCharacterCasing

          public static CharacterCasing[] arrayOfCharacterCasing(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CharacterCasing` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.CharacterCasing[]

    - #### arrayOfJSONCircularReferenceMode

          public static JSONCircularReferenceMode[] arrayOfJSONCircularReferenceMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `JSONCircularReferenceMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.JSONCircularReferenceMode[]

    - #### arrayOfDialog

          public static Dialog[] arrayOfDialog(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Dialog` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.Dialog[]

    - #### arrayOfEventCanvas

          public static EventCanvas[] arrayOfEventCanvas(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EventCanvas` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.EventCanvas[]

    - #### arrayOfFormItem

          public static FormItem[] arrayOfFormItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FormItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.FormItem[]

    - #### arrayOfVerticalAlignment

          public static VerticalAlignment[] arrayOfVerticalAlignment(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `VerticalAlignment` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.VerticalAlignment[]

    - #### arrayOfResetItem

          public static ResetItem[] arrayOfResetItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ResetItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.ResetItem[]

    - #### arrayOfKnobType

          public static KnobType[] arrayOfKnobType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `KnobType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.KnobType[]

    - #### arrayOfPropertyIdentifier

          public static PropertyIdentifier[] arrayOfPropertyIdentifier(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PropertyIdentifier` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PropertyIdentifier[]

    - #### arrayOfRestDataSource

          public static RestDataSource[] arrayOfRestDataSource(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RestDataSource` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.RestDataSource[]

    - #### arrayOfMultiUpdatePolicy

          public static MultiUpdatePolicy[] arrayOfMultiUpdatePolicy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultiUpdatePolicy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.MultiUpdatePolicy[]

    - #### arrayOfTreeModelType

          public static TreeModelType[] arrayOfTreeModelType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreeModelType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TreeModelType[]

    - #### arrayOfTreePalette

          public static TreePalette[] arrayOfTreePalette(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TreePalette` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.TreePalette[]

    - #### arrayOfRecordEditor

          public static RecordEditor[] arrayOfRecordEditor(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RecordEditor` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.RecordEditor[]

    - #### arrayOfColorPickerMode

          public static ColorPickerMode[] arrayOfColorPickerMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ColorPickerMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ColorPickerMode[]

    - #### arrayOfTimeline

          public static Timeline[] arrayOfTimeline(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Timeline` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.calendar.Timeline[]

    - #### arrayOfGroupSummary

          public static GroupSummary[] arrayOfGroupSummary(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `GroupSummary` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.GroupSummary[]

    - #### arrayOfDrawTriangle

          public static DrawTriangle[] arrayOfDrawTriangle(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawTriangle` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawTriangle[]

    - #### arrayOfDataSourceField

          public static DataSourceField[] arrayOfDataSourceField(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DataSourceField` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.DataSourceField[]

    - #### arrayOfCanvasEditProxy

          public static CanvasEditProxy[] arrayOfCanvasEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CanvasEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.CanvasEditProxy[]

    - #### arrayOfDirection

          public static Direction[] arrayOfDirection(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Direction` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Direction[]

    - #### arrayOfEscapingMode

          public static EscapingMode[] arrayOfEscapingMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EscapingMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EscapingMode[]

    - #### arrayOfFacadeDataSource

          public static FacadeDataSource[] arrayOfFacadeDataSource(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FacadeDataSource` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.FacadeDataSource[]

    - #### arrayOfFieldAppearance

          public static FieldAppearance[] arrayOfFieldAppearance(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FieldAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FieldAppearance[]

    - #### arrayOfConnectorOrientation

          public static ConnectorOrientation[] arrayOfConnectorOrientation(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ConnectorOrientation` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ConnectorOrientation[]

    - #### arrayOfValueItemType

          public static ValueItemType[] arrayOfValueItemType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ValueItemType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ValueItemType[]

    - #### arrayOfCheckboxItem

          public static CheckboxItem[] arrayOfCheckboxItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CheckboxItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.CheckboxItem[]

    - #### arrayOfTextImportSettings

          public static TextImportSettings[] arrayOfTextImportSettings(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextImportSettings` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.TextImportSettings[]

    - #### arrayOfListPropertiesDialog

          public static ListPropertiesDialog[] arrayOfListPropertiesDialog(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListPropertiesDialog` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.rte.ListPropertiesDialog[]

    - #### arrayOfExportFormat

          public static ExportFormat[] arrayOfExportFormat(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ExportFormat` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.ExportFormat[]

    - #### arrayOfRichTextItem

          public static RichTextItem[] arrayOfRichTextItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RichTextItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.RichTextItem[]

    - #### arrayOfPrintCanvas

          public static PrintCanvas[] arrayOfPrintCanvas(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PrintCanvas` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.PrintCanvas[]

    - #### arrayOfPageOrientation

          public static PageOrientation[] arrayOfPageOrientation(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PageOrientation` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PageOrientation[]

    - #### arrayOfLayout

          public static Layout[] arrayOfLayout(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Layout` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.Layout[]

    - #### arrayOfTextAreaWrap

          public static TextAreaWrap[] arrayOfTextAreaWrap(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaWrap` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.TextAreaWrap[]

    - #### arrayOfSearchForm

          public static SearchForm[] arrayOfSearchForm(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SearchForm` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.SearchForm[]

    - #### arrayOfSelectionAppearance

          public static SelectionAppearance[] arrayOfSelectionAppearance(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectionAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SelectionAppearance[]

    - #### arrayOfRPCRequest

          public static RPCRequest[] arrayOfRPCRequest(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RPCRequest` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.rpc.RPCRequest[]

    - #### arrayOfListGridField

          public static ListGridField[] arrayOfListGridField(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ListGridField` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.ListGridField[]

    - #### arrayOfJSSyntaxHiliter

          public static JSSyntaxHiliter[] arrayOfJSSyntaxHiliter(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `JSSyntaxHiliter` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.JSSyntaxHiliter[]

    - #### arrayOfDSInheritanceMode

          public static DSInheritanceMode[] arrayOfDSInheritanceMode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSInheritanceMode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DSInheritanceMode[]

    - #### arrayOfMenuItem

          public static MenuItem[] arrayOfMenuItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MenuItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.MenuItem[]

    - #### arrayOfSelectionNotificationType

          public static SelectionNotificationType[] arrayOfSelectionNotificationType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SelectionNotificationType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.SelectionNotificationType[]

    - #### arrayOfDSOperationType

          public static DSOperationType[] arrayOfDSOperationType(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DSOperationType` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.DSOperationType[]

    - #### arrayOfCheckboxItemEditProxy

          public static CheckboxItemEditProxy[] arrayOfCheckboxItemEditProxy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `CheckboxItemEditProxy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.CheckboxItemEditProxy[]

    - #### arrayOfTextExportSettings

          public static TextExportSettings[] arrayOfTextExportSettings(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextExportSettings` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.TextExportSettings[]

    - #### arrayOfAnimationAcceleration

          public static AnimationAcceleration[] arrayOfAnimationAcceleration(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `AnimationAcceleration` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.AnimationAcceleration[]

    - #### arrayOfPartialCommitOption

          public static PartialCommitOption[] arrayOfPartialCommitOption(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PartialCommitOption` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PartialCommitOption[]

    - #### arrayOfProcessElement

          public static ProcessElement[] arrayOfProcessElement(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ProcessElement` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.util.workflow.ProcessElement[]

    - #### arrayOfVStack

          public static VStack[] arrayOfVStack(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `VStack` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.VStack[]

    - #### arrayOfPanelPlacement

          public static PanelPlacement[] arrayOfPanelPlacement(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PanelPlacement` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.PanelPlacement[]

    - #### arrayOfHiliteEditor

          public static HiliteEditor[] arrayOfHiliteEditor(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `HiliteEditor` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.grid.HiliteEditor[]

    - #### arrayOfFiscalCalendar

          public static FiscalCalendar[] arrayOfFiscalCalendar(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FiscalCalendar` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.FiscalCalendar[]

    - #### arrayOfEscapeKeyEditAction

          public static EscapeKeyEditAction[] arrayOfEscapeKeyEditAction(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `EscapeKeyEditAction` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.EscapeKeyEditAction[]

    - #### arrayOfSliderItem

          public static SliderItem[] arrayOfSliderItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SliderItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.SliderItem[]

    - #### arrayOfUserSummary

          public static UserSummary[] arrayOfUserSummary(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `UserSummary` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.UserSummary[]

    - #### arrayOfFiscalYear

          public static FiscalYear[] arrayOfFiscalYear(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FiscalYear` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.FiscalYear[]

    - #### arrayOfRowEndEditAction

          public static RowEndEditAction[] arrayOfRowEndEditAction(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RowEndEditAction` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.RowEndEditAction[]

    - #### arrayOfFieldNamingStrategy

          public static FieldNamingStrategy[] arrayOfFieldNamingStrategy(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FieldNamingStrategy` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.FieldNamingStrategy[]

    - #### arrayOfStretchImg

          public static StretchImg[] arrayOfStretchImg(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `StretchImg` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.StretchImg[]

    - #### arrayOfPaletteNode

          public static PaletteNode[] arrayOfPaletteNode(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PaletteNode` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.tools.PaletteNode[]

    - #### arrayOfSectionStack

          public static SectionStack[] arrayOfSectionStack(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `SectionStack` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.SectionStack[]

    - #### arrayOfDrawBlockConnector

          public static DrawBlockConnector[] arrayOfDrawBlockConnector(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `DrawBlockConnector` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.drawing.DrawBlockConnector[]

    - #### arrayOfFieldPickerWindow

          public static FieldPickerWindow[] arrayOfFieldPickerWindow(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `FieldPickerWindow` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.FieldPickerWindow[]

    - #### arrayOfImgSectionHeader

          public static ImgSectionHeader[] arrayOfImgSectionHeader(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `ImgSectionHeader` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.layout.ImgSectionHeader[]

    - #### arrayOfCursor

          public static Cursor[] arrayOfCursor(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Cursor` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Cursor[]

    - #### arrayOfAlignment

          public static Alignment[] arrayOfAlignment(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Alignment` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.Alignment[]

    - #### arrayOfCriteria

          public static Criteria[] arrayOfCriteria(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `Criteria` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.data.Criteria[]

    - #### arrayOfPresetCriteriaItem

          public static PresetCriteriaItem[] arrayOfPresetCriteriaItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `PresetCriteriaItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.PresetCriteriaItem[]

    - #### arrayOfRadioGroupItem

          public static RadioGroupItem[] arrayOfRadioGroupItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `RadioGroupItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.RadioGroupItem[]

    - #### arrayOfMultipleAppearance

          public static MultipleAppearance[] arrayOfMultipleAppearance(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `MultipleAppearance` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.types.MultipleAppearance[]

    - #### arrayOfIMenuButton

          public static IMenuButton[] arrayOfIMenuButton(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IMenuButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.menu.IMenuButton[]

    - #### arrayOfIButton

          public static IButton[] arrayOfIButton(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `IButton` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.IButton[]

    - #### arrayOfTextAreaItem

          public static TextAreaItem[] arrayOfTextAreaItem(JavaScriptObject nativeArray)

      Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaItem` objects.
      Parameters:
        `nativeArray` -
      Returns:
        com.smartgwt.client.widgets.form.fields.TextAreaItem[]